Globalization in EJ2 JavaScript Numerictextbox control

7 May 202514 minutes to read

Localization

Localization library allows users to localize the default text contents of the NumericTextBox to different cultures using the locale property. In NumericTextBox, spin buttons title for the tooltip will be localized based on the culture.

Locale key en-US (default)
incrementTitle Increment value
decrementTitle Decrement value

Loading translations

To load translation object in your application use load function of L10n class.

The below example demonstrates the NumericTextBox in German culture with the spin buttons tooltip.

var L10n = ej.base.L10n;

// Load `German` culture to override spin buttons tooltip text
L10n.load({
    'de': {
        'numerictextbox': {
            incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'
        }
    },

});

var numeric = new ej.inputs.NumericTextBox({
    // sets `German` culture using the culture value 'de'
    locale: 'de',
    // sets value to the NumericTextBox
    value: 10
});

// renders initialized NumericTextBox
numeric.appendTo('#numeric');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 NumericTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript NumericTextBox Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/31.1.17/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
          <input id="numeric" type="text">
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
  padding-top:100px;
}

Internationalization

Internationalization library provides support for formatting and parsing the number by using the official Unicode CLDR JSON data and also provides the loadCldr method to load the culture specific CLDR JSON data. The NumericTextBox comes with built-in
internationalization support to adapt based on culture. For more information about internationalization, refer to this link.

By default, all the Essential® JS 2 component are specific to English culture (‘en-US’). If you want to go with the different culture other than English, follow the below steps.

  • Install the CLDR-Data package by using the below command (it installs the CLDR JSON data). For more information about CLDR-Data, refer to this link.
npm install cldr-data --save

Once the package installed, you can find the culture specific JSON data under the location /node_modules/cldr-data.

  • Now import the installed CLDR JSON data into the app.ts file. To import JSON data we need to install the JSON plugin loader. Here we have used the SystemJS JSON plugin loader.
npm install systemjs-plugin-json --save-dev
  • Once installed, configure the system.config.js configuration settings as like below to map the systemjs-plugin-json loader.
System.config({
    paths: {
        'syncfusion:': 'npm:@syncfusion/'
    },
    map: {
        app: 'app',

        //Syncfusion packages mapping
        "@syncfusion/ej2-base": "syncfusion:ej2-base/dist/ej2-base.umd.min.js",
        "@syncfusion/ej2-inputs": "syncfusion:ej2-inputs/dist/ej2-inputs.umd.min.js",
        "cldr-data": 'npm:cldr-data',
        "plugin-json": "npm:systemjs-plugin-json/json.js"
    },
    meta: {
        '*.json': { loader: 'plugin-json' }
    },
    packages: {
        'app': { main: 'app', defaultExtension: 'js' },
        'cldr-data': { main: 'index.js', defaultExtension: 'js' }
    }
});

System.import('app');
  • Now import the required culture from the installed location to app.ts file as like the below code snippets.
declare var require: any;

loadCldr(
        require('cldr-data/main/de/numbers.json'),
        require('cldr-data/main/de/currencies.json'),
        require('cldr-data/supplemental/numberingSystems.json'),
        require('cldr-data/supplemental/currencyData.json')
    );
  • Set the culture by using the locale property.

The below example demonstrates the NumericTextBox in German culture with the EUR currency format.

var L10n = ej.base.L10n;

L10n.load({
    'de': {
      'numerictextbox': { incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'}
    }
});

var currency = new ej.inputs.NumericTextBox({
    // sets `German` culture using the culture value 'de'
    locale: 'de',
    // sets the 'EUR' currency format
    currency: 'EUR',
    format: 'c2',
    value: 100,
 });

currency.appendTo('#numeric');

function loadCultureFiles(name) {
        var files = ['currencies.json', 'numbers.json'];
        var loader = ej.base.loadCldr;
        var loadCulture = function (prop) {
            var val, ajax;
            ajax = new ej.base.Ajax('http://ej2.syncfusion.com/javascript/demos/' + 'src/common/cldr-data/main/' + name + '/' + files[prop], 'GET', false);
            ajax.onSuccess = function (value) {
                val = value;
            };
            ajax.send();
            loader(JSON.parse(val));
        };
        for (var prop = 0; prop < files.length; prop++) {
            loadCulture(prop);
        }
    }
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 NumericTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript NumericTextBox Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/31.1.17/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
          <input id="numeric" type="text">
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
  padding-top: 100px;
}

Right to Left(RTL)

RTL provides an option to switch the text direction and layout of the NumericTextBox component from right to left. It improves the user experiences and accessibility for users who use right-to-left languages (Arabic, Farsi, Urdu, etc.). To enable RTL NumericTextBox, set the enableRtl to true.

var L10n = ej.base.L10n;

L10n.load({
    'ar-AE': {
      'numerictextbox': { incrementTitle: 'قيمة الزيادة', decrementTitle: 'قيمة تناقص'}
    }
});

var currency = new ej.inputs.NumericTextBox({
    // sets `Arabic` culture using the culture value 'ar-AE'
    locale: 'ar-AE',
    value: 100,
    floatLabelType: 'Auto',
    enableRtl: true
 });

currency.appendTo('#numeric');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 NumericTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript NumericTextBox Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/31.1.17/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/31.1.17/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
          <input id="numeric" type="text">
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
  padding-top: 100px;
}

Localization
library allows users to localize the default text contents
of the NumericTextBox to different cultures using the locale
property.
In NumericTextBox, spin buttons title for the tooltip will be localized based on the culture.
Locale key | en-US (default) |
---|---|
incrementTitle | Increment value |
decrementTitle | Decrement value |
To load translation object in your application use load
function of L10n
class.
The below example demonstrates the NumericTextBox in German
culture with the spin buttons tooltip.
import { L10n } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
L10n.load({
'de': {
'numerictextbox': { incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert' }
}
});
// initializes NumericTextBox component
// sets `German` culture using the culture value 'de'
ReactDOM.render(<NumericTextBoxComponent locale='de' value={10}/>, document.getElementById('numericContainer'));
import { L10n } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
L10n.load({
'de': {
'numerictextbox': { incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'}
}
});
// initializes NumericTextBox component
// sets `German` culture using the culture value 'de'
ReactDOM.render(<NumericTextBoxComponent locale='de' value={10} />,document.getElementById('numericContainer'));
Internationalization library provides support for formatting and parsing the number by using the
official Unicode CLDR JSON data and also provides the
loadCldr
method to load the culture specific CLDR JSON data. The NumericTextBox comes with built-in
internationalization support to adapt based on culture. For more information about internationalization,
refer to this link.
By default, all the Essential JS 2 component are specific to English culture (‘en-US’).
If you want to go with the different culture other than English
, follow the below steps.
CLDR-Data
package by using the below command (it installs the CLDR JSON data). For more information about CLDR-Data,
refer to this link.npm install cldr-data --save
Once the package installed, you can find the culture
specific JSON data under the location \node_modules\cldr-data
.
app.tsx
file.app.tsx
file as like the below code snippets.import * as currencies from 'cldr-data/main/de/currencies.json';
import * as numbers from 'cldr-data/main/de/numbers.json';
import * as currencyData from 'cldr-data/supplemental/currencyData.json';
import * as numberingSystems from 'cldr-data/supplemental/numberingSystems.json';
loadCldr(numberingSystems, currencies, numbers, currencyData);
if you are facing the error
/node_modules/cldr-data/main/de/*.json (1,1): unused expression, expected an assignment or function call
when you are adding the json files to render the culture sample, then add the below configuration in yourtslint.json
file
"linterOptions": {
"exclude": [
"*.json",
"**/*.json"
]
}
locale
property.The below example demonstrates the NumericTextBox in German
culture with the EUR
currency format.
{
"main";
{
"de";
{
"identity";
{
"version";
{
"_number";
"$Revision: 13259 $",
"_cldrVersion";
"31";
}
"language";
"de";
}
"numbers";
{
"currencies";
{
"ADP";
{
"displayName";
"Andorranische Pesete",
"displayName-count-one";
"Andorranische Pesete",
"displayName-count-other";
"Andorranische Peseten",
"symbol";
"ADP";
}
"AED";
{
"displayName";
"VAE-Dirham",
"displayName-count-one";
"VAE-Dirham",
"displayName-count-other";
"VAE-Dirham",
"symbol";
"AED";
}
"AFA";
{
"displayName";
"Afghanische Afghani (1927–2002)",
"displayName-count-one";
"Afghanische Afghani (1927–2002)",
"displayName-count-other";
"Afghanische Afghani (1927–2002)",
"symbol";
"AFA";
}
"AFN";
{
"displayName";
"Afghanischer Afghani",
"displayName-count-one";
"Afghanischer Afghani",
"displayName-count-other";
"Afghanische Afghani",
"symbol";
"AFN";
}
"ALK";
{
"displayName";
"Albanischer Lek (1946–1965)",
"displayName-count-one";
"Albanischer Lek (1946–1965)",
"displayName-count-other";
"Albanische Lek (1946–1965)";
}
"ALL";
{
"displayName";
"Albanischer Lek",
"displayName-count-one";
"Albanischer Lek",
"displayName-count-other";
"Albanische Lek",
"symbol";
"ALL";
}
"AMD";
{
"displayName";
"Armenischer Dram",
"displayName-count-one";
"Armenischer Dram",
"displayName-count-other";
"Armenische Dram",
"symbol";
"AMD";
}
"ANG";
{
"displayName";
"Niederländische-Antillen-Gulden",
"displayName-count-one";
"Niederländische-Antillen-Gulden",
"displayName-count-other";
"Niederländische-Antillen-Gulden",
"symbol";
"ANG";
}
"AOA";
{
"displayName";
"Angolanischer Kwanza",
"displayName-count-one";
"Angolanischer Kwanza",
"displayName-count-other";
"Angolanische Kwanza",
"symbol";
"AOA",
"symbol-alt-narrow";
"Kz";
}
"AOK";
{
"displayName";
"Angolanischer Kwanza (1977–1990)",
"displayName-count-one";
"Angolanischer Kwanza (1977–1990)",
"displayName-count-other";
"Angolanische Kwanza (1977–1990)",
"symbol";
"AOK";
}
"AON";
{
"displayName";
"Angolanischer Neuer Kwanza (1990–2000)",
"displayName-count-one";
"Angolanischer Neuer Kwanza (1990–2000)",
"displayName-count-other";
"Angolanische Neue Kwanza (1990–2000)",
"symbol";
"AON";
}
"AOR";
{
"displayName";
"Angolanischer Kwanza Reajustado (1995–1999)",
"displayName-count-one";
"Angolanischer Kwanza Reajustado (1995–1999)",
"displayName-count-other";
"Angolanische Kwanza Reajustado (1995–1999)",
"symbol";
"AOR";
}
"ARA";
{
"displayName";
"Argentinischer Austral",
"displayName-count-one";
"Argentinischer Austral",
"displayName-count-other";
"Argentinische Austral",
"symbol";
"ARA";
}
"ARL";
{
"displayName";
"Argentinischer Peso Ley (1970–1983)",
"displayName-count-one";
"Argentinischer Peso Ley (1970–1983)",
"displayName-count-other";
"Argentinische Pesos Ley (1970–1983)",
"symbol";
"ARL";
}
"ARM";
{
"displayName";
"Argentinischer Peso (1881–1970)",
"displayName-count-one";
"Argentinischer Peso (1881–1970)",
"displayName-count-other";
"Argentinische Pesos (1881–1970)",
"symbol";
"ARM";
}
"ARP";
{
"displayName";
"Argentinischer Peso (1983–1985)",
"displayName-count-one";
"Argentinischer Peso (1983–1985)",
"displayName-count-other";
"Argentinische Peso (1983–1985)",
"symbol";
"ARP";
}
"ARS";
{
"displayName";
"Argentinischer Peso",
"displayName-count-one";
"Argentinischer Peso",
"displayName-count-other";
"Argentinische Pesos",
"symbol";
"ARS",
"symbol-alt-narrow";
"$";
}
"ATS";
{
"displayName";
"Österreichischer Schilling",
"displayName-count-one";
"Österreichischer Schilling",
"displayName-count-other";
"Österreichische Schilling",
"symbol";
"öS";
}
"AUD";
{
"displayName";
"Australischer Dollar",
"displayName-count-one";
"Australischer Dollar",
"displayName-count-other";
"Australische Dollar",
"symbol";
"AU$",
"symbol-alt-narrow";
"$";
}
"AWG";
{
"displayName";
"Aruba-Florin",
"displayName-count-one";
"Aruba-Florin",
"displayName-count-other";
"Aruba-Florin",
"symbol";
"AWG";
}
"AZM";
{
"displayName";
"Aserbaidschan-Manat (1993–2006)",
"displayName-count-one";
"Aserbaidschan-Manat (1993–2006)",
"displayName-count-other";
"Aserbaidschan-Manat (1993–2006)",
"symbol";
"AZM";
}
"AZN";
{
"displayName";
"Aserbaidschan-Manat",
"displayName-count-one";
"Aserbaidschan-Manat",
"displayName-count-other";
"Aserbaidschan-Manat",
"symbol";
"AZN";
}
"BAD";
{
"displayName";
"Bosnien und Herzegowina Dinar (1992–1994)",
"displayName-count-one";
"Bosnien und Herzegowina Dinar (1992–1994)",
"displayName-count-other";
"Bosnien und Herzegowina Dinar (1992–1994)",
"symbol";
"BAD";
}
"BAM";
{
"displayName";
"Bosnien und Herzegowina Konvertierbare Mark",
"displayName-count-one";
"Bosnien und Herzegowina Konvertierbare Mark",
"displayName-count-other";
"Bosnien und Herzegowina Konvertierbare Mark",
"symbol";
"BAM",
"symbol-alt-narrow";
"KM";
}
"BAN";
{
"displayName";
"Bosnien und Herzegowina Neuer Dinar (1994–1997)",
"displayName-count-one";
"Bosnien und Herzegowina Neuer Dinar (1994–1997)",
"displayName-count-other";
"Bosnien und Herzegowina Neue Dinar (1994–1997)",
"symbol";
"BAN";
}
"BBD";
{
"displayName";
"Barbados-Dollar",
"displayName-count-one";
"Barbados-Dollar",
"displayName-count-other";
"Barbados-Dollar",
"symbol";
"BBD",
"symbol-alt-narrow";
"$";
}
"BDT";
{
"displayName";
"Bangladesch-Taka",
"displayName-count-one";
"Bangladesch-Taka",
"displayName-count-other";
"Bangladesch-Taka",
"symbol";
"BDT",
"symbol-alt-narrow";
"৳";
}
"BEC";
{
"displayName";
"Belgischer Franc (konvertibel)",
"displayName-count-one";
"Belgischer Franc (konvertibel)",
"displayName-count-other";
"Belgische Franc (konvertibel)",
"symbol";
"BEC";
}
"BEF";
{
"displayName";
"Belgischer Franc",
"displayName-count-one";
"Belgischer Franc",
"displayName-count-other";
"Belgische Franc",
"symbol";
"BEF";
}
"BEL";
{
"displayName";
"Belgischer Finanz-Franc",
"displayName-count-one";
"Belgischer Finanz-Franc",
"displayName-count-other";
"Belgische Finanz-Franc",
"symbol";
"BEL";
}
"BGL";
{
"displayName";
"Bulgarische Lew (1962–1999)",
"displayName-count-one";
"Bulgarische Lew (1962–1999)",
"displayName-count-other";
"Bulgarische Lew (1962–1999)",
"symbol";
"BGL";
}
"BGM";
{
"displayName";
"Bulgarischer Lew (1952–1962)",
"displayName-count-one";
"Bulgarischer Lew (1952–1962)",
"displayName-count-other";
"Bulgarische Lew (1952–1962)",
"symbol";
"BGK";
}
"BGN";
{
"displayName";
"Bulgarischer Lew",
"displayName-count-one";
"Bulgarischer Lew",
"displayName-count-other";
"Bulgarische Lew",
"symbol";
"BGN";
}
"BGO";
{
"displayName";
"Bulgarischer Lew (1879–1952)",
"displayName-count-one";
"Bulgarischer Lew (1879–1952)",
"displayName-count-other";
"Bulgarische Lew (1879–1952)",
"symbol";
"BGJ";
}
"BHD";
{
"displayName";
"Bahrain-Dinar",
"displayName-count-one";
"Bahrain-Dinar",
"displayName-count-other";
"Bahrain-Dinar",
"symbol";
"BHD";
}
"BIF";
{
"displayName";
"Burundi-Franc",
"displayName-count-one";
"Burundi-Franc",
"displayName-count-other";
"Burundi-Francs",
"symbol";
"BIF";
}
"BMD";
{
"displayName";
"Bermuda-Dollar",
"displayName-count-one";
"Bermuda-Dollar",
"displayName-count-other";
"Bermuda-Dollar",
"symbol";
"BMD",
"symbol-alt-narrow";
"$";
}
"BND";
{
"displayName";
"Brunei-Dollar",
"displayName-count-one";
"Brunei-Dollar",
"displayName-count-other";
"Brunei-Dollar",
"symbol";
"BND",
"symbol-alt-narrow";
"$";
}
"BOB";
{
"displayName";
"Bolivanischer Boliviano",
"displayName-count-one";
"Bolivanischer Boliviano",
"displayName-count-other";
"Bolivianische Bolivianos",
"symbol";
"BOB",
"symbol-alt-narrow";
"Bs";
}
"BOL";
{
"displayName";
"Bolivianischer Boliviano (1863–1963)",
"displayName-count-one";
"Bolivianischer Boliviano (1863–1963)",
"displayName-count-other";
"Bolivianische Bolivianos (1863–1963)",
"symbol";
"BOL";
}
"BOP";
{
"displayName";
"Bolivianischer Peso",
"displayName-count-one";
"Bolivianischer Peso",
"displayName-count-other";
"Bolivianische Peso",
"symbol";
"BOP";
}
"BOV";
{
"displayName";
"Boliviansiche Mvdol",
"displayName-count-one";
"Boliviansiche Mvdol",
"displayName-count-other";
"Bolivianische Mvdol",
"symbol";
"BOV";
}
"BRB";
{
"displayName";
"Brasilianischer Cruzeiro Novo (1967–1986)",
"displayName-count-one";
"Brasilianischer Cruzeiro Novo (1967–1986)",
"displayName-count-other";
"Brasilianische Cruzeiro Novo (1967–1986)",
"symbol";
"BRB";
}
"BRC";
{
"displayName";
"Brasilianischer Cruzado (1986–1989)",
"displayName-count-one";
"Brasilianischer Cruzado (1986–1989)",
"displayName-count-other";
"Brasilianische Cruzado (1986–1989)",
"symbol";
"BRC";
}
"BRE";
{
"displayName";
"Brasilianischer Cruzeiro (1990–1993)",
"displayName-count-one";
"Brasilianischer Cruzeiro (1990–1993)",
"displayName-count-other";
"Brasilianische Cruzeiro (1990–1993)",
"symbol";
"BRE";
}
"BRL";
{
"displayName";
"Brasilianischer Real",
"displayName-count-one";
"Brasilianischer Real",
"displayName-count-other";
"Brasilianische Real",
"symbol";
"R$",
"symbol-alt-narrow";
"R$";
}
"BRN";
{
"displayName";
"Brasilianischer Cruzado Novo (1989–1990)",
"displayName-count-one";
"Brasilianischer Cruzado Novo (1989–1990)",
"displayName-count-other";
"Brasilianische Cruzado Novo (1989–1990)",
"symbol";
"BRN";
}
"BRR";
{
"displayName";
"Brasilianischer Cruzeiro (1993–1994)",
"displayName-count-one";
"Brasilianischer Cruzeiro (1993–1994)",
"displayName-count-other";
"Brasilianische Cruzeiro (1993–1994)",
"symbol";
"BRR";
}
"BRZ";
{
"displayName";
"Brasilianischer Cruzeiro (1942–1967)",
"displayName-count-one";
"Brasilianischer Cruzeiro (1942–1967)",
"displayName-count-other";
"Brasilianischer Cruzeiro (1942–1967)",
"symbol";
"BRZ";
}
"BSD";
{
"displayName";
"Bahamas-Dollar",
"displayName-count-one";
"Bahamas-Dollar",
"displayName-count-other";
"Bahamas-Dollar",
"symbol";
"BSD",
"symbol-alt-narrow";
"$";
}
"BTN";
{
"displayName";
"Bhutan-Ngultrum",
"displayName-count-one";
"Bhutan-Ngultrum",
"displayName-count-other";
"Bhutan-Ngultrum",
"symbol";
"BTN";
}
"BUK";
{
"displayName";
"Birmanischer Kyat",
"displayName-count-one";
"Birmanischer Kyat",
"displayName-count-other";
"Birmanische Kyat",
"symbol";
"BUK";
}
"BWP";
{
"displayName";
"Botswanischer Pula",
"displayName-count-one";
"Botswanischer Pula",
"displayName-count-other";
"Botswanische Pula",
"symbol";
"BWP",
"symbol-alt-narrow";
"P";
}
"BYB";
{
"displayName";
"Belarus-Rubel (1994–1999)",
"displayName-count-one";
"Belarus-Rubel (1994–1999)",
"displayName-count-other";
"Belarus-Rubel (1994–1999)",
"symbol";
"BYB";
}
"BYN";
{
"displayName";
"Weißrussischer Rubel",
"displayName-count-one";
"Weißrussischer Rubel",
"displayName-count-other";
"Weißrussische Rubel",
"symbol";
"BYN",
"symbol-alt-narrow";
"р.";
}
"BYR";
{
"displayName";
"Weißrussischer Rubel (2000–2016)",
"displayName-count-one";
"Weißrussischer Rubel (2000–2016)",
"displayName-count-other";
"Weißrussische Rubel (2000–2016)",
"symbol";
"BYR";
}
"BZD";
{
"displayName";
"Belize-Dollar",
"displayName-count-one";
"Belize-Dollar",
"displayName-count-other";
"Belize-Dollar",
"symbol";
"BZD",
"symbol-alt-narrow";
"$";
}
"CAD";
{
"displayName";
"Kanadischer Dollar",
"displayName-count-one";
"Kanadischer Dollar",
"displayName-count-other";
"Kanadische Dollar",
"symbol";
"CA$",
"symbol-alt-narrow";
"$";
}
"CDF";
{
"displayName";
"Kongo-Franc",
"displayName-count-one";
"Kongo-Franc",
"displayName-count-other";
"Kongo-Francs",
"symbol";
"CDF";
}
"CHE";
{
"displayName";
"WIR-Euro",
"displayName-count-one";
"WIR-Euro",
"displayName-count-other";
"WIR-Euro",
"symbol";
"CHE";
}
"CHF";
{
"displayName";
"Schweizer Franken",
"displayName-count-one";
"Schweizer Franken",
"displayName-count-other";
"Schweizer Franken",
"symbol";
"CHF";
}
"CHW";
{
"displayName";
"WIR Franken",
"displayName-count-one";
"WIR Franken",
"displayName-count-other";
"WIR Franken",
"symbol";
"CHW";
}
"CLE";
{
"displayName";
"Chilenischer Escudo",
"displayName-count-one";
"Chilenischer Escudo",
"displayName-count-other";
"Chilenische Escudo",
"symbol";
"CLE";
}
"CLF";
{
"displayName";
"Chilenische Unidades de Fomento",
"displayName-count-one";
"Chilenische Unidades de Fomento",
"displayName-count-other";
"Chilenische Unidades de Fomento",
"symbol";
"CLF";
}
"CLP";
{
"displayName";
"Chilenischer Peso",
"displayName-count-one";
"Chilenischer Peso",
"displayName-count-other";
"Chilenische Pesos",
"symbol";
"CLP",
"symbol-alt-narrow";
"$";
}
"CNX";
{
"displayName";
"Dollar der Chinesischen Volksbank",
"displayName-count-one";
"Dollar der Chinesischen Volksbank",
"displayName-count-other";
"Dollar der Chinesischen Volksbank",
"symbol";
"CNX";
}
"CNY";
{
"displayName";
"Renminbi Yuan",
"displayName-count-one";
"Chinesischer Yuan",
"displayName-count-other";
"Renminbi Yuan",
"symbol";
"CN¥",
"symbol-alt-narrow";
"¥";
}
"COP";
{
"displayName";
"Kolumbianischer Peso",
"displayName-count-one";
"Kolumbianischer Peso",
"displayName-count-other";
"Kolumbianische Pesos",
"symbol";
"COP",
"symbol-alt-narrow";
"$";
}
"COU";
{
"displayName";
"Kolumbianische Unidades de valor real",
"displayName-count-one";
"Kolumbianische Unidad de valor real",
"displayName-count-other";
"Kolumbianische Unidades de valor real",
"symbol";
"COU";
}
"CRC";
{
"displayName";
"Costa-Rica-Colón",
"displayName-count-one";
"Costa-Rica-Colón",
"displayName-count-other";
"Costa-Rica-Colón",
"symbol";
"CRC",
"symbol-alt-narrow";
"₡";
}
"CSD";
{
"displayName";
"Serbischer Dinar (2002–2006)",
"displayName-count-one";
"Serbischer Dinar (2002–2006)",
"displayName-count-other";
"Serbische Dinar (2002–2006)",
"symbol";
"CSD";
}
"CSK";
{
"displayName";
"Tschechoslowakische Krone",
"displayName-count-one";
"Tschechoslowakische Kronen",
"displayName-count-other";
"Tschechoslowakische Kronen",
"symbol";
"CSK";
}
"CUC";
{
"displayName";
"Kubanischer Peso (konvertibel)",
"displayName-count-one";
"Kubanischer Peso (konvertibel)",
"displayName-count-other";
"Kubanische Pesos (konvertibel)",
"symbol";
"CUC",
"symbol-alt-narrow";
"Cub$";
}
"CUP";
{
"displayName";
"Kubanischer Peso",
"displayName-count-one";
"Kubanischer Peso",
"displayName-count-other";
"Kubanische Pesos",
"symbol";
"CUP",
"symbol-alt-narrow";
"$";
}
"CVE";
{
"displayName";
"Cabo-Verde-Escudo",
"displayName-count-one";
"Cabo-Verde-Escudo",
"displayName-count-other";
"Cabo-Verde-Escudos",
"symbol";
"CVE";
}
"CYP";
{
"displayName";
"Zypern-Pfund",
"displayName-count-one";
"Zypern Pfund",
"displayName-count-other";
"Zypern Pfund",
"symbol";
"CYP";
}
"CZK";
{
"displayName";
"Tschechische Krone",
"displayName-count-one";
"Tschechische Krone",
"displayName-count-other";
"Tschechische Kronen",
"symbol";
"CZK",
"symbol-alt-narrow";
"Kč";
}
"DDM";
{
"displayName";
"Mark der DDR",
"displayName-count-one";
"Mark der DDR",
"displayName-count-other";
"Mark der DDR",
"symbol";
"DDM";
}
"DEM";
{
"displayName";
"Deutsche Mark",
"displayName-count-one";
"Deutsche Mark",
"displayName-count-other";
"Deutsche Mark",
"symbol";
"DM";
}
"DJF";
{
"displayName";
"Dschibuti-Franc",
"displayName-count-one";
"Dschibuti-Franc",
"displayName-count-other";
"Dschibuti-Franc",
"symbol";
"DJF";
}
"DKK";
{
"displayName";
"Dänische Krone",
"displayName-count-one";
"Dänische Krone",
"displayName-count-other";
"Dänische Kronen",
"symbol";
"DKK",
"symbol-alt-narrow";
"kr";
}
"DOP";
{
"displayName";
"Dominikanischer Peso",
"displayName-count-one";
"Dominikanischer Peso",
"displayName-count-other";
"Dominikanische Pesos",
"symbol";
"DOP",
"symbol-alt-narrow";
"$";
}
"DZD";
{
"displayName";
"Algerischer Dinar",
"displayName-count-one";
"Algerischer Dinar",
"displayName-count-other";
"Algerische Dinar",
"symbol";
"DZD";
}
"ECS";
{
"displayName";
"Ecuadorianischer Sucre",
"displayName-count-one";
"Ecuadorianischer Sucre",
"displayName-count-other";
"Ecuadorianische Sucre",
"symbol";
"ECS";
}
"ECV";
{
"displayName";
"Verrechnungseinheit für Ecuador",
"displayName-count-one";
"Verrechnungseinheiten für Ecuador",
"displayName-count-other";
"Verrechnungseinheiten für Ecuador",
"symbol";
"ECV";
}
"EEK";
{
"displayName";
"Estnische Krone",
"displayName-count-one";
"Estnische Krone",
"displayName-count-other";
"Estnische Kronen",
"symbol";
"EEK";
}
"EGP";
{
"displayName";
"Ägyptisches Pfund",
"displayName-count-one";
"Ägyptisches Pfund",
"displayName-count-other";
"Ägyptische Pfund",
"symbol";
"EGP",
"symbol-alt-narrow";
"E£";
}
"ERN";
{
"displayName";
"Eritreischer Nakfa",
"displayName-count-one";
"Eritreischer Nakfa",
"displayName-count-other";
"Eritreische Nakfa",
"symbol";
"ERN";
}
"ESA";
{
"displayName";
"Spanische Peseta (A–Konten)",
"displayName-count-one";
"Spanische Peseta (A–Konten)",
"displayName-count-other";
"Spanische Peseten (A–Konten)",
"symbol";
"ESA";
}
"ESB";
{
"displayName";
"Spanische Peseta (konvertibel)",
"displayName-count-one";
"Spanische Peseta (konvertibel)",
"displayName-count-other";
"Spanische Peseten (konvertibel)",
"symbol";
"ESB";
}
"ESP";
{
"displayName";
"Spanische Peseta",
"displayName-count-one";
"Spanische Peseta",
"displayName-count-other";
"Spanische Peseten",
"symbol";
"ESP",
"symbol-alt-narrow";
"₧";
}
"ETB";
{
"displayName";
"Äthiopischer Birr",
"displayName-count-one";
"Äthiopischer Birr",
"displayName-count-other";
"Äthiopische Birr",
"symbol";
"ETB";
}
"EUR";
{
"displayName";
"Euro",
"displayName-count-one";
"Euro",
"displayName-count-other";
"Euro",
"symbol";
"€",
"symbol-alt-narrow";
"€";
}
"FIM";
{
"displayName";
"Finnische Mark",
"displayName-count-one";
"Finnische Mark",
"displayName-count-other";
"Finnische Mark",
"symbol";
"FIM";
}
"FJD";
{
"displayName";
"Fidschi-Dollar",
"displayName-count-one";
"Fidschi-Dollar",
"displayName-count-other";
"Fidschi-Dollar",
"symbol";
"FJD",
"symbol-alt-narrow";
"$";
}
"FKP";
{
"displayName";
"Falkland-Pfund",
"displayName-count-one";
"Falkland-Pfund",
"displayName-count-other";
"Falkland-Pfund",
"symbol";
"FKP",
"symbol-alt-narrow";
"Fl£";
}
"FRF";
{
"displayName";
"Französischer Franc",
"displayName-count-one";
"Französischer Franc",
"displayName-count-other";
"Französische Franc",
"symbol";
"FRF";
}
"GBP";
{
"displayName";
"Britisches Pfund",
"displayName-count-one";
"Britisches Pfund",
"displayName-count-other";
"Britische Pfund",
"symbol";
"£",
"symbol-alt-narrow";
"£";
}
"GEK";
{
"displayName";
"Georgischer Kupon Larit",
"displayName-count-one";
"Georgischer Kupon Larit",
"displayName-count-other";
"Georgische Kupon Larit",
"symbol";
"GEK";
}
"GEL";
{
"displayName";
"Georgischer Lari",
"displayName-count-one";
"Georgischer Lari",
"displayName-count-other";
"Georgische Lari",
"symbol";
"GEL",
"symbol-alt-narrow";
"₾",
"symbol-alt-variant";
"₾";
}
"GHC";
{
"displayName";
"Ghanaischer Cedi (1979–2007)",
"displayName-count-one";
"Ghanaischer Cedi (1979–2007)",
"displayName-count-other";
"Ghanaische Cedi (1979–2007)",
"symbol";
"GHC";
}
"GHS";
{
"displayName";
"Ghanaischer Cedi",
"displayName-count-one";
"Ghanaischer Cedi",
"displayName-count-other";
"Ghanaische Cedi",
"symbol";
"GHS";
}
"GIP";
{
"displayName";
"Gibraltar-Pfund",
"displayName-count-one";
"Gibraltar-Pfund",
"displayName-count-other";
"Gibraltar Pfund",
"symbol";
"GIP",
"symbol-alt-narrow";
"£";
}
"GMD";
{
"displayName";
"Gambia-Dalasi",
"displayName-count-one";
"Gambia-Dalasi",
"displayName-count-other";
"Gambia-Dalasi",
"symbol";
"GMD";
}
"GNF";
{
"displayName";
"Guinea-Franc",
"displayName-count-one";
"Guinea-Franc",
"displayName-count-other";
"Guinea-Franc",
"symbol";
"GNF",
"symbol-alt-narrow";
"F.G.";
}
"GNS";
{
"displayName";
"Guineischer Syli",
"displayName-count-one";
"Guineischer Syli",
"displayName-count-other";
"Guineische Syli",
"symbol";
"GNS";
}
"GQE";
{
"displayName";
"Äquatorialguinea-Ekwele",
"displayName-count-one";
"Äquatorialguinea-Ekwele",
"displayName-count-other";
"Äquatorialguinea-Ekwele",
"symbol";
"GQE";
}
"GRD";
{
"displayName";
"Griechische Drachme",
"displayName-count-one";
"Griechische Drachme",
"displayName-count-other";
"Griechische Drachmen",
"symbol";
"GRD";
}
"GTQ";
{
"displayName";
"Guatemaltekischer Quetzal",
"displayName-count-one";
"Guatemaltekischer Quetzal",
"displayName-count-other";
"Guatemaltekische Quetzales",
"symbol";
"GTQ",
"symbol-alt-narrow";
"Q";
}
"GWE";
{
"displayName";
"Portugiesisch Guinea Escudo",
"displayName-count-one";
"Portugiesisch Guinea Escudo",
"displayName-count-other";
"Portugiesisch Guinea Escudo",
"symbol";
"GWE";
}
"GWP";
{
"displayName";
"Guinea-Bissau Peso",
"displayName-count-one";
"Guinea-Bissau Peso",
"displayName-count-other";
"Guinea-Bissau Pesos",
"symbol";
"GWP";
}
"GYD";
{
"displayName";
"Guyana-Dollar",
"displayName-count-one";
"Guyana-Dollar",
"displayName-count-other";
"Guyana-Dollar",
"symbol";
"GYD",
"symbol-alt-narrow";
"$";
}
"HKD";
{
"displayName";
"Hongkong-Dollar",
"displayName-count-one";
"Hongkong-Dollar",
"displayName-count-other";
"Hongkong-Dollar",
"symbol";
"HK$",
"symbol-alt-narrow";
"$";
}
"HNL";
{
"displayName";
"Honduras-Lempira",
"displayName-count-one";
"Honduras-Lempira",
"displayName-count-other";
"Honduras-Lempira",
"symbol";
"HNL",
"symbol-alt-narrow";
"L";
}
"HRD";
{
"displayName";
"Kroatischer Dinar",
"displayName-count-one";
"Kroatischer Dinar",
"displayName-count-other";
"Kroatische Dinar",
"symbol";
"HRD";
}
"HRK";
{
"displayName";
"Kroatischer Kuna",
"displayName-count-one";
"Kroatischer Kuna",
"displayName-count-other";
"Kroatische Kuna",
"symbol";
"HRK",
"symbol-alt-narrow";
"kn";
}
"HTG";
{
"displayName";
"Haitianische Gourde",
"displayName-count-one";
"Haitianische Gourde",
"displayName-count-other";
"Haitianische Gourdes",
"symbol";
"HTG";
}
"HUF";
{
"displayName";
"Ungarischer Forint",
"displayName-count-one";
"Ungarischer Forint",
"displayName-count-other";
"Ungarische Forint",
"symbol";
"HUF",
"symbol-alt-narrow";
"Ft";
}
"IDR";
{
"displayName";
"Indonesische Rupiah",
"displayName-count-one";
"Indonesische Rupiah",
"displayName-count-other";
"Indonesische Rupiah",
"symbol";
"IDR",
"symbol-alt-narrow";
"Rp";
}
"IEP";
{
"displayName";
"Irisches Pfund",
"displayName-count-one";
"Irisches Pfund",
"displayName-count-other";
"Irische Pfund",
"symbol";
"IEP";
}
"ILP";
{
"displayName";
"Israelisches Pfund",
"displayName-count-one";
"Israelisches Pfund",
"displayName-count-other";
"Israelische Pfund",
"symbol";
"ILP";
}
"ILR";
{
"displayName";
"Israelischer Schekel (1980–1985)",
"displayName-count-one";
"Israelischer Schekel (1980–1985)",
"displayName-count-other";
"Israelische Schekel (1980–1985)";
}
"ILS";
{
"displayName";
"Israelischer Neuer Schekel",
"displayName-count-one";
"Israelischer Neuer Schekel",
"displayName-count-other";
"Israelische Neue Schekel",
"symbol";
"₪",
"symbol-alt-narrow";
"₪";
}
"INR";
{
"displayName";
"Indische Rupie",
"displayName-count-one";
"Indische Rupie",
"displayName-count-other";
"Indische Rupien",
"symbol";
"₹",
"symbol-alt-narrow";
"₹";
}
"IQD";
{
"displayName";
"Irakischer Dinar",
"displayName-count-one";
"Irakischer Dinar",
"displayName-count-other";
"Irakische Dinar",
"symbol";
"IQD";
}
"IRR";
{
"displayName";
"Iranischer Rial",
"displayName-count-one";
"Iranischer Rial",
"displayName-count-other";
"Iranische Rial",
"symbol";
"IRR";
}
"ISJ";
{
"displayName";
"Isländische Krone (1918–1981)",
"displayName-count-one";
"Isländische Krone (1918–1981)",
"displayName-count-other";
"Isländische Kronen (1918–1981)";
}
"ISK";
{
"displayName";
"Isländische Krone",
"displayName-count-one";
"Isländische Krone",
"displayName-count-other";
"Isländische Kronen",
"symbol";
"ISK",
"symbol-alt-narrow";
"kr";
}
"ITL";
{
"displayName";
"Italienische Lira",
"displayName-count-one";
"Italienische Lira",
"displayName-count-other";
"Italienische Lire",
"symbol";
"ITL";
}
"JMD";
{
"displayName";
"Jamaika-Dollar",
"displayName-count-one";
"Jamaika-Dollar",
"displayName-count-other";
"Jamaika-Dollar",
"symbol";
"JMD",
"symbol-alt-narrow";
"$";
}
"JOD";
{
"displayName";
"Jordanischer Dinar",
"displayName-count-one";
"Jordanischer Dinar",
"displayName-count-other";
"Jordanische Dinar",
"symbol";
"JOD";
}
"JPY";
{
"displayName";
"Japanischer Yen",
"displayName-count-one";
"Japanischer Yen",
"displayName-count-other";
"Japanische Yen",
"symbol";
"¥",
"symbol-alt-narrow";
"¥";
}
"KES";
{
"displayName";
"Kenia-Schilling",
"displayName-count-one";
"Kenia-Schilling",
"displayName-count-other";
"Kenia-Schilling",
"symbol";
"KES";
}
"KGS";
{
"displayName";
"Kirgisischer Som",
"displayName-count-one";
"Kirgisischer Som",
"displayName-count-other";
"Kirgisische Som",
"symbol";
"KGS";
}
"KHR";
{
"displayName";
"Kambodschanischer Riel",
"displayName-count-one";
"Kambodschanischer Riel",
"displayName-count-other";
"Kambodschanische Riel",
"symbol";
"KHR",
"symbol-alt-narrow";
"៛";
}
"KMF";
{
"displayName";
"Komoren-Franc",
"displayName-count-one";
"Komoren-Franc",
"displayName-count-other";
"Komoren-Francs",
"symbol";
"KMF",
"symbol-alt-narrow";
"FC";
}
"KPW";
{
"displayName";
"Nordkoreanischer Won",
"displayName-count-one";
"Nordkoreanischer Won",
"displayName-count-other";
"Nordkoreanische Won",
"symbol";
"KPW",
"symbol-alt-narrow";
"₩";
}
"KRH";
{
"displayName";
"Südkoreanischer Hwan (1953–1962)",
"displayName-count-one";
"Südkoreanischer Hwan (1953–1962)",
"displayName-count-other";
"Südkoreanischer Hwan (1953–1962)",
"symbol";
"KRH";
}
"KRO";
{
"displayName";
"Südkoreanischer Won (1945–1953)",
"displayName-count-one";
"Südkoreanischer Won (1945–1953)",
"displayName-count-other";
"Südkoreanischer Won (1945–1953)",
"symbol";
"KRO";
}
"KRW";
{
"displayName";
"Südkoreanischer Won",
"displayName-count-one";
"Südkoreanischer Won",
"displayName-count-other";
"Südkoreanische Won",
"symbol";
"₩",
"symbol-alt-narrow";
"₩";
}
"KWD";
{
"displayName";
"Kuwait-Dinar",
"displayName-count-one";
"Kuwait-Dinar",
"displayName-count-other";
"Kuwait-Dinar",
"symbol";
"KWD";
}
"KYD";
{
"displayName";
"Kaiman-Dollar",
"displayName-count-one";
"Kaiman-Dollar",
"displayName-count-other";
"Kaiman-Dollar",
"symbol";
"KYD",
"symbol-alt-narrow";
"$";
}
"KZT";
{
"displayName";
"Kasachischer Tenge",
"displayName-count-one";
"Kasachischer Tenge",
"displayName-count-other";
"Kasachische Tenge",
"symbol";
"KZT",
"symbol-alt-narrow";
"₸";
}
"LAK";
{
"displayName";
"Laotischer Kip",
"displayName-count-one";
"Laotischer Kip",
"displayName-count-other";
"Laotische Kip",
"symbol";
"LAK",
"symbol-alt-narrow";
"₭";
}
"LBP";
{
"displayName";
"Libanesisches Pfund",
"displayName-count-one";
"Libanesisches Pfund",
"displayName-count-other";
"Libanesische Pfund",
"symbol";
"LBP",
"symbol-alt-narrow";
"L£";
}
"LKR";
{
"displayName";
"Sri-Lanka-Rupie",
"displayName-count-one";
"Sri-Lanka-Rupie",
"displayName-count-other";
"Sri-Lanka-Rupien",
"symbol";
"LKR",
"symbol-alt-narrow";
"Rs";
}
"LRD";
{
"displayName";
"Liberianischer Dollar",
"displayName-count-one";
"Liberianischer Dollar",
"displayName-count-other";
"Liberianische Dollar",
"symbol";
"LRD",
"symbol-alt-narrow";
"$";
}
"LSL";
{
"displayName";
"Loti",
"displayName-count-one";
"Loti",
"displayName-count-other";
"Loti",
"symbol";
"LSL";
}
"LTL";
{
"displayName";
"Litauischer Litas",
"displayName-count-one";
"Litauischer Litas",
"displayName-count-other";
"Litauische Litas",
"symbol";
"LTL",
"symbol-alt-narrow";
"Lt";
}
"LTT";
{
"displayName";
"Litauischer Talonas",
"displayName-count-one";
"Litauische Talonas",
"displayName-count-other";
"Litauische Talonas",
"symbol";
"LTT";
}
"LUC";
{
"displayName";
"Luxemburgischer Franc (konvertibel)",
"displayName-count-one";
"Luxemburgische Franc (konvertibel)",
"displayName-count-other";
"Luxemburgische Franc (konvertibel)",
"symbol";
"LUC";
}
"LUF";
{
"displayName";
"Luxemburgischer Franc",
"displayName-count-one";
"Luxemburgische Franc",
"displayName-count-other";
"Luxemburgische Franc",
"symbol";
"LUF";
}
"LUL";
{
"displayName";
"Luxemburgischer Finanz-Franc",
"displayName-count-one";
"Luxemburgische Finanz-Franc",
"displayName-count-other";
"Luxemburgische Finanz-Franc",
"symbol";
"LUL";
}
"LVL";
{
"displayName";
"Lettischer Lats",
"displayName-count-one";
"Lettischer Lats",
"displayName-count-other";
"Lettische Lats",
"symbol";
"LVL",
"symbol-alt-narrow";
"Ls";
}
"LVR";
{
"displayName";
"Lettischer Rubel",
"displayName-count-one";
"Lettische Rubel",
"displayName-count-other";
"Lettische Rubel",
"symbol";
"LVR";
}
"LYD";
{
"displayName";
"Libyscher Dinar",
"displayName-count-one";
"Libyscher Dinar",
"displayName-count-other";
"Libysche Dinar",
"symbol";
"LYD";
}
"MAD";
{
"displayName";
"Marokkanischer Dirham",
"displayName-count-one";
"Marokkanischer Dirham",
"displayName-count-other";
"Marokkanische Dirham",
"symbol";
"MAD";
}
"MAF";
{
"displayName";
"Marokkanischer Franc",
"displayName-count-one";
"Marokkanische Franc",
"displayName-count-other";
"Marokkanische Franc",
"symbol";
"MAF";
}
"MCF";
{
"displayName";
"Monegassischer Franc",
"displayName-count-one";
"Monegassischer Franc",
"displayName-count-other";
"Monegassische Franc",
"symbol";
"MCF";
}
"MDC";
{
"displayName";
"Moldau-Cupon",
"displayName-count-one";
"Moldau-Cupon",
"displayName-count-other";
"Moldau-Cupon",
"symbol";
"MDC";
}
"MDL";
{
"displayName";
"Moldau-Leu",
"displayName-count-one";
"Moldau-Leu",
"displayName-count-other";
"Moldau-Leu",
"symbol";
"MDL";
}
"MGA";
{
"displayName";
"Madagaskar-Ariary",
"displayName-count-one";
"Madagaskar-Ariary",
"displayName-count-other";
"Madagaskar-Ariary",
"symbol";
"MGA",
"symbol-alt-narrow";
"Ar";
}
"MGF";
{
"displayName";
"Madagaskar-Franc",
"displayName-count-one";
"Madagaskar-Franc",
"displayName-count-other";
"Madagaskar-Franc",
"symbol";
"MGF";
}
"MKD";
{
"displayName";
"Mazedonischer Denar",
"displayName-count-one";
"Mazedonischer Denar",
"displayName-count-other";
"Mazedonische Denari",
"symbol";
"MKD";
}
"MKN";
{
"displayName";
"Mazedonischer Denar (1992–1993)",
"displayName-count-one";
"Mazedonischer Denar (1992–1993)",
"displayName-count-other";
"Mazedonische Denar (1992–1993)",
"symbol";
"MKN";
}
"MLF";
{
"displayName";
"Malischer Franc",
"displayName-count-one";
"Malische Franc",
"displayName-count-other";
"Malische Franc",
"symbol";
"MLF";
}
"MMK";
{
"displayName";
"Myanmarischer Kyat",
"displayName-count-one";
"Myanmarischer Kyat",
"displayName-count-other";
"Myanmarische Kyat",
"symbol";
"MMK",
"symbol-alt-narrow";
"K";
}
"MNT";
{
"displayName";
"Mongolischer Tögrög",
"displayName-count-one";
"Mongolischer Tögrög",
"displayName-count-other";
"Mongolische Tögrög",
"symbol";
"MNT",
"symbol-alt-narrow";
"₮";
}
"MOP";
{
"displayName";
"Macao-Pataca",
"displayName-count-one";
"Macao-Pataca",
"displayName-count-other";
"Macao-Pataca",
"symbol";
"MOP";
}
"MRO";
{
"displayName";
"Mauretanischer Ouguiya",
"displayName-count-one";
"Mauretanischer Ouguiya",
"displayName-count-other";
"Mauretanische Ouguiya",
"symbol";
"MRO";
}
"MTL";
{
"displayName";
"Maltesische Lira",
"displayName-count-one";
"Maltesische Lira",
"displayName-count-other";
"Maltesische Lira",
"symbol";
"MTL";
}
"MTP";
{
"displayName";
"Maltesisches Pfund",
"displayName-count-one";
"Maltesische Pfund",
"displayName-count-other";
"Maltesische Pfund",
"symbol";
"MTP";
}
"MUR";
{
"displayName";
"Mauritius-Rupie",
"displayName-count-one";
"Mauritius-Rupie",
"displayName-count-other";
"Mauritius-Rupien",
"symbol";
"MUR",
"symbol-alt-narrow";
"Rs";
}
"MVP";
{
"displayName";
"Malediven-Rupie (alt)",
"displayName-count-one";
"Malediven-Rupie (alt)",
"displayName-count-other";
"Malediven-Rupien (alt)";
}
"MVR";
{
"displayName";
"Malediven-Rufiyaa",
"displayName-count-one";
"Malediven-Rufiyaa",
"displayName-count-other";
"Malediven-Rupien",
"symbol";
"MVR";
}
"MWK";
{
"displayName";
"Malawi-Kwacha",
"displayName-count-one";
"Malawi-Kwacha",
"displayName-count-other";
"Malawi-Kwacha",
"symbol";
"MWK";
}
"MXN";
{
"displayName";
"Mexikanischer Peso",
"displayName-count-one";
"Mexikanischer Peso",
"displayName-count-other";
"Mexikanische Pesos",
"symbol";
"MX$",
"symbol-alt-narrow";
"$";
}
"MXP";
{
"displayName";
"Mexikanischer Silber-Peso (1861–1992)",
"displayName-count-one";
"Mexikanische Silber-Peso (1861–1992)",
"displayName-count-other";
"Mexikanische Silber-Pesos (1861–1992)",
"symbol";
"MXP";
}
"MXV";
{
"displayName";
"Mexicanischer Unidad de Inversion (UDI)",
"displayName-count-one";
"Mexicanischer Unidad de Inversion (UDI)",
"displayName-count-other";
"Mexikanische Unidad de Inversion (UDI)",
"symbol";
"MXV";
}
"MYR";
{
"displayName";
"Malaysischer Ringgit",
"displayName-count-one";
"Malaysischer Ringgit",
"displayName-count-other";
"Malaysische Ringgit",
"symbol";
"MYR",
"symbol-alt-narrow";
"RM";
}
"MZE";
{
"displayName";
"Mosambikanischer Escudo",
"displayName-count-one";
"Mozambikanische Escudo",
"displayName-count-other";
"Mozambikanische Escudo",
"symbol";
"MZE";
}
"MZM";
{
"displayName";
"Mosambikanischer Metical (1980–2006)",
"displayName-count-one";
"Mosambikanischer Metical (1980–2006)",
"displayName-count-other";
"Mosambikanische Meticais (1980–2006)",
"symbol";
"MZM";
}
"MZN";
{
"displayName";
"Mosambikanischer Metical",
"displayName-count-one";
"Mosambikanischer Metical",
"displayName-count-other";
"Mosambikanische Meticais",
"symbol";
"MZN";
}
"NAD";
{
"displayName";
"Namibia-Dollar",
"displayName-count-one";
"Namibia-Dollar",
"displayName-count-other";
"Namibia-Dollar",
"symbol";
"NAD",
"symbol-alt-narrow";
"$";
}
"NGN";
{
"displayName";
"Nigerianischer Naira",
"displayName-count-one";
"Nigerianischer Naira",
"displayName-count-other";
"Nigerianische Naira",
"symbol";
"NGN",
"symbol-alt-narrow";
"₦";
}
"NIC";
{
"displayName";
"Nicaraguanischer Córdoba (1988–1991)",
"displayName-count-one";
"Nicaraguanischer Córdoba (1988–1991)",
"displayName-count-other";
"Nicaraguanische Córdoba (1988–1991)",
"symbol";
"NIC";
}
"NIO";
{
"displayName";
"Nicaragua-Córdoba",
"displayName-count-one";
"Nicaragua-Córdoba",
"displayName-count-other";
"Nicaragua-Córdobas",
"symbol";
"NIO",
"symbol-alt-narrow";
"C$";
}
"NLG";
{
"displayName";
"Niederländischer Gulden",
"displayName-count-one";
"Niederländischer Gulden",
"displayName-count-other";
"Niederländische Gulden",
"symbol";
"NLG";
}
"NOK";
{
"displayName";
"Norwegische Krone",
"displayName-count-one";
"Norwegische Krone",
"displayName-count-other";
"Norwegische Kronen",
"symbol";
"NOK",
"symbol-alt-narrow";
"kr";
}
"NPR";
{
"displayName";
"Nepalesische Rupie",
"displayName-count-one";
"Nepalesische Rupie",
"displayName-count-other";
"Nepalesische Rupien",
"symbol";
"NPR",
"symbol-alt-narrow";
"Rs";
}
"NZD";
{
"displayName";
"Neuseeland-Dollar",
"displayName-count-one";
"Neuseeland-Dollar",
"displayName-count-other";
"Neuseeland-Dollar",
"symbol";
"NZ$",
"symbol-alt-narrow";
"$";
}
"OMR";
{
"displayName";
"Omanischer Rial",
"displayName-count-one";
"Omanischer Rial",
"displayName-count-other";
"Omanische Rials",
"symbol";
"OMR";
}
"PAB";
{
"displayName";
"Panamaischer Balboa",
"displayName-count-one";
"Panamaischer Balboa",
"displayName-count-other";
"Panamaische Balboas",
"symbol";
"PAB";
}
"PEI";
{
"displayName";
"Peruanischer Inti",
"displayName-count-one";
"Peruanische Inti",
"displayName-count-other";
"Peruanische Inti",
"symbol";
"PEI";
}
"PEN";
{
"displayName";
"Peruanischer Sol",
"displayName-count-one";
"Peruanischer Sol",
"displayName-count-other";
"Peruanische Sol",
"symbol";
"PEN";
}
"PES";
{
"displayName";
"Peruanischer Sol (1863–1965)",
"displayName-count-one";
"Peruanischer Sol (1863–1965)",
"displayName-count-other";
"Peruanische Sol (1863–1965)",
"symbol";
"PES";
}
"PGK";
{
"displayName";
"Papua-Neuguineischer Kina",
"displayName-count-one";
"Papua-Neuguineischer Kina",
"displayName-count-other";
"Papua-Neuguineische Kina",
"symbol";
"PGK";
}
"PHP";
{
"displayName";
"Philippinischer Peso",
"displayName-count-one";
"Philippinischer Peso",
"displayName-count-other";
"Philippinische Pesos",
"symbol";
"PHP",
"symbol-alt-narrow";
"₱";
}
"PKR";
{
"displayName";
"Pakistanische Rupie",
"displayName-count-one";
"Pakistanische Rupie",
"displayName-count-other";
"Pakistanische Rupien",
"symbol";
"PKR",
"symbol-alt-narrow";
"Rs";
}
"PLN";
{
"displayName";
"Polnischer Złoty",
"displayName-count-one";
"Polnischer Złoty",
"displayName-count-other";
"Polnische Złoty",
"symbol";
"PLN",
"symbol-alt-narrow";
"zł";
}
"PLZ";
{
"displayName";
"Polnischer Zloty (1950–1995)",
"displayName-count-one";
"Polnischer Zloty (1950–1995)",
"displayName-count-other";
"Polnische Zloty (1950–1995)",
"symbol";
"PLZ";
}
"PTE";
{
"displayName";
"Portugiesischer Escudo",
"displayName-count-one";
"Portugiesische Escudo",
"displayName-count-other";
"Portugiesische Escudo",
"symbol";
"PTE";
}
"PYG";
{
"displayName";
"Paraguayischer Guaraní",
"displayName-count-one";
"Paraguayischer Guaraní",
"displayName-count-other";
"Paraguayische Guaraníes",
"symbol";
"PYG",
"symbol-alt-narrow";
"₲";
}
"QAR";
{
"displayName";
"Katar-Riyal",
"displayName-count-one";
"Katar-Riyal",
"displayName-count-other";
"Katar-Riyal",
"symbol";
"QAR";
}
"RHD";
{
"displayName";
"Rhodesischer Dollar",
"displayName-count-one";
"Rhodesische Dollar",
"displayName-count-other";
"Rhodesische Dollar",
"symbol";
"RHD";
}
"ROL";
{
"displayName";
"Rumänischer Leu (1952–2006)",
"displayName-count-one";
"Rumänischer Leu (1952–2006)",
"displayName-count-other";
"Rumänische Leu (1952–2006)",
"symbol";
"ROL";
}
"RON";
{
"displayName";
"Rumänischer Leu",
"displayName-count-one";
"Rumänischer Leu",
"displayName-count-other";
"Rumänische Leu",
"symbol";
"RON",
"symbol-alt-narrow";
"L";
}
"RSD";
{
"displayName";
"Serbischer Dinar",
"displayName-count-one";
"Serbischer Dinar",
"displayName-count-other";
"Serbische Dinaren",
"symbol";
"RSD";
}
"RUB";
{
"displayName";
"Russischer Rubel",
"displayName-count-one";
"Russischer Rubel",
"displayName-count-other";
"Russische Rubel",
"symbol";
"RUB",
"symbol-alt-narrow";
"₽";
}
"RUR";
{
"displayName";
"Russischer Rubel (1991–1998)",
"displayName-count-one";
"Russischer Rubel (1991–1998)",
"displayName-count-other";
"Russische Rubel (1991–1998)",
"symbol";
"RUR",
"symbol-alt-narrow";
"р.";
}
"RWF";
{
"displayName";
"Ruanda-Franc",
"displayName-count-one";
"Ruanda-Franc",
"displayName-count-other";
"Ruanda-Francs",
"symbol";
"RWF",
"symbol-alt-narrow";
"F.Rw";
}
"SAR";
{
"displayName";
"Saudi-Rial",
"displayName-count-one";
"Saudi-Rial",
"displayName-count-other";
"Saudi-Rial",
"symbol";
"SAR";
}
"SBD";
{
"displayName";
"Salomonen-Dollar",
"displayName-count-one";
"Salomonen-Dollar",
"displayName-count-other";
"Salomonen-Dollar",
"symbol";
"SBD",
"symbol-alt-narrow";
"$";
}
"SCR";
{
"displayName";
"Seychellen-Rupie",
"displayName-count-one";
"Seychellen-Rupie",
"displayName-count-other";
"Seychellen-Rupien",
"symbol";
"SCR";
}
"SDD";
{
"displayName";
"Sudanesischer Dinar (1992–2007)",
"displayName-count-one";
"Sudanesischer Dinar (1992–2007)",
"displayName-count-other";
"Sudanesische Dinar (1992–2007)",
"symbol";
"SDD";
}
"SDG";
{
"displayName";
"Sudanesisches Pfund",
"displayName-count-one";
"Sudanesisches Pfund",
"displayName-count-other";
"Sudanesische Pfund",
"symbol";
"SDG";
}
"SDP";
{
"displayName";
"Sudanesisches Pfund (1957–1998)",
"displayName-count-one";
"Sudanesisches Pfund (1957–1998)",
"displayName-count-other";
"Sudanesische Pfund (1957–1998)",
"symbol";
"SDP";
}
"SEK";
{
"displayName";
"Schwedische Krone",
"displayName-count-one";
"Schwedische Krone",
"displayName-count-other";
"Schwedische Kronen",
"symbol";
"SEK",
"symbol-alt-narrow";
"kr";
}
"SGD";
{
"displayName";
"Singapur-Dollar",
"displayName-count-one";
"Singapur-Dollar",
"displayName-count-other";
"Singapur-Dollar",
"symbol";
"SGD",
"symbol-alt-narrow";
"$";
}
"SHP";
{
"displayName";
"St. Helena-Pfund",
"displayName-count-one";
"St. Helena-Pfund",
"displayName-count-other";
"St. Helena-Pfund",
"symbol";
"SHP",
"symbol-alt-narrow";
"£";
}
"SIT";
{
"displayName";
"Slowenischer Tolar",
"displayName-count-one";
"Slowenischer Tolar",
"displayName-count-other";
"Slowenische Tolar",
"symbol";
"SIT";
}
"SKK";
{
"displayName";
"Slowakische Krone",
"displayName-count-one";
"Slowakische Kronen",
"displayName-count-other";
"Slowakische Kronen",
"symbol";
"SKK";
}
"SLL";
{
"displayName";
"Sierra-leonischer Leone",
"displayName-count-one";
"Sierra-leonischer Leone",
"displayName-count-other";
"Sierra-leonische Leones",
"symbol";
"SLL";
}
"SOS";
{
"displayName";
"Somalia-Schilling",
"displayName-count-one";
"Somalia-Schilling",
"displayName-count-other";
"Somalia-Schilling",
"symbol";
"SOS";
}
"SRD";
{
"displayName";
"Suriname-Dollar",
"displayName-count-one";
"Suriname-Dollar",
"displayName-count-other";
"Suriname-Dollar",
"symbol";
"SRD",
"symbol-alt-narrow";
"$";
}
"SRG";
{
"displayName";
"Suriname Gulden",
"displayName-count-one";
"Suriname-Gulden",
"displayName-count-other";
"Suriname-Gulden",
"symbol";
"SRG";
}
"SSP";
{
"displayName";
"Südsudanesisches Pfund",
"displayName-count-one";
"Südsudanesisches Pfund",
"displayName-count-other";
"Südsudanesische Pfund",
"symbol";
"SSP",
"symbol-alt-narrow";
"£";
}
"STD";
{
"displayName";
"São-toméischer Dobra",
"displayName-count-one";
"São-toméischer Dobra",
"displayName-count-other";
"São-toméische Dobra",
"symbol";
"STD",
"symbol-alt-narrow";
"Db";
}
"SUR";
{
"displayName";
"Sowjetischer Rubel",
"displayName-count-one";
"Sowjetische Rubel",
"displayName-count-other";
"Sowjetische Rubel",
"symbol";
"SUR";
}
"SVC";
{
"displayName";
"El Salvador Colon",
"displayName-count-one";
"El Salvador-Colon",
"displayName-count-other";
"El Salvador-Colon",
"symbol";
"SVC";
}
"SYP";
{
"displayName";
"Syrisches Pfund",
"displayName-count-one";
"Syrisches Pfund",
"displayName-count-other";
"Syrische Pfund",
"symbol";
"SYP",
"symbol-alt-narrow";
"SYP";
}
"SZL";
{
"displayName";
"Swasiländischer Lilangeni",
"displayName-count-one";
"Swasiländischer Lilangeni",
"displayName-count-other";
"Swasiländische Emalangeni",
"symbol";
"SZL";
}
"THB";
{
"displayName";
"Thailändischer Baht",
"displayName-count-one";
"Thailändischer Baht",
"displayName-count-other";
"Thailändische Baht",
"symbol";
"฿",
"symbol-alt-narrow";
"฿";
}
"TJR";
{
"displayName";
"Tadschikistan Rubel",
"displayName-count-one";
"Tadschikistan-Rubel",
"displayName-count-other";
"Tadschikistan-Rubel",
"symbol";
"TJR";
}
"TJS";
{
"displayName";
"Tadschikistan-Somoni",
"displayName-count-one";
"Tadschikistan-Somoni",
"displayName-count-other";
"Tadschikistan-Somoni",
"symbol";
"TJS";
}
"TMM";
{
"displayName";
"Turkmenistan-Manat (1993–2009)",
"displayName-count-one";
"Turkmenistan-Manat (1993–2009)",
"displayName-count-other";
"Turkmenistan-Manat (1993–2009)",
"symbol";
"TMM";
}
"TMT";
{
"displayName";
"Turkmenistan-Manat",
"displayName-count-one";
"Turkmenistan-Manat",
"displayName-count-other";
"Turkmenistan-Manat",
"symbol";
"TMT";
}
"TND";
{
"displayName";
"Tunesischer Dinar",
"displayName-count-one";
"Tunesischer Dinar",
"displayName-count-other";
"Tunesische Dinar",
"symbol";
"TND";
}
"TOP";
{
"displayName";
"Tongaischer Paʻanga",
"displayName-count-one";
"Tongaischer Paʻanga",
"displayName-count-other";
"Tongaische Paʻanga",
"symbol";
"TOP",
"symbol-alt-narrow";
"T$";
}
"TPE";
{
"displayName";
"Timor-Escudo",
"displayName-count-one";
"Timor-Escudo",
"displayName-count-other";
"Timor-Escudo",
"symbol";
"TPE";
}
"TRL";
{
"displayName";
"Türkische Lira (1922–2005)",
"displayName-count-one";
"Türkische Lira (1922–2005)",
"displayName-count-other";
"Türkische Lira (1922–2005)",
"symbol";
"TRL";
}
"TRY";
{
"displayName";
"Türkische Lira",
"displayName-count-one";
"Türkische Lira",
"displayName-count-other";
"Türkische Lira",
"symbol";
"TRY",
"symbol-alt-narrow";
"₺",
"symbol-alt-variant";
"TL";
}
"TTD";
{
"displayName";
"Trinidad und Tobago-Dollar",
"displayName-count-one";
"Trinidad und Tobago-Dollar",
"displayName-count-other";
"Trinidad und Tobago-Dollar",
"symbol";
"TTD",
"symbol-alt-narrow";
"$";
}
"TWD";
{
"displayName";
"Neuer Taiwan-Dollar",
"displayName-count-one";
"Neuer Taiwan-Dollar",
"displayName-count-other";
"Neue Taiwan-Dollar",
"symbol";
"NT$",
"symbol-alt-narrow";
"NT$";
}
"TZS";
{
"displayName";
"Tansania-Schilling",
"displayName-count-one";
"Tansania-Schilling",
"displayName-count-other";
"Tansania-Schilling",
"symbol";
"TZS";
}
"UAH";
{
"displayName";
"Ukrainische Hrywnja",
"displayName-count-one";
"Ukrainische Hrywnja",
"displayName-count-other";
"Ukrainische Hrywen",
"symbol";
"UAH",
"symbol-alt-narrow";
"₴";
}
"UAK";
{
"displayName";
"Ukrainischer Karbovanetz",
"displayName-count-one";
"Ukrainische Karbovanetz",
"displayName-count-other";
"Ukrainische Karbovanetz",
"symbol";
"UAK";
}
"UGS";
{
"displayName";
"Uganda-Schilling (1966–1987)",
"displayName-count-one";
"Uganda-Schilling (1966–1987)",
"displayName-count-other";
"Uganda-Schilling (1966–1987)",
"symbol";
"UGS";
}
"UGX";
{
"displayName";
"Uganda-Schilling",
"displayName-count-one";
"Uganda-Schilling",
"displayName-count-other";
"Uganda-Schilling",
"symbol";
"UGX";
}
"USD";
{
"displayName";
"US-Dollar",
"displayName-count-one";
"US-Dollar",
"displayName-count-other";
"US-Dollar",
"symbol";
"$",
"symbol-alt-narrow";
"$";
}
"USN";
{
"displayName";
"US Dollar (Nächster Tag)",
"displayName-count-one";
"US-Dollar (Nächster Tag)",
"displayName-count-other";
"US-Dollar (Nächster Tag)",
"symbol";
"USN";
}
"USS";
{
"displayName";
"US Dollar (Gleicher Tag)",
"displayName-count-one";
"US-Dollar (Gleicher Tag)",
"displayName-count-other";
"US-Dollar (Gleicher Tag)",
"symbol";
"USS";
}
"UYI";
{
"displayName";
"Uruguayischer Peso (Indexierte Rechnungseinheiten)",
"displayName-count-one";
"Uruguayischer Peso (Indexierte Rechnungseinheiten)",
"displayName-count-other";
"Uruguayische Pesos (Indexierte Rechnungseinheiten)",
"symbol";
"UYI";
}
"UYP";
{
"displayName";
"Uruguayischer Peso (1975–1993)",
"displayName-count-one";
"Uruguayischer Peso (1975–1993)",
"displayName-count-other";
"Uruguayische Pesos (1975–1993)",
"symbol";
"UYP";
}
"UYU";
{
"displayName";
"Uruguayischer Peso",
"displayName-count-one";
"Uruguayischer Peso",
"displayName-count-other";
"Uruguayische Pesos",
"symbol";
"UYU",
"symbol-alt-narrow";
"$";
}
"UZS";
{
"displayName";
"Usbekistan-Sum",
"displayName-count-one";
"Usbekistan-Sum",
"displayName-count-other";
"Usbekistan-Sum",
"symbol";
"UZS";
}
"VEB";
{
"displayName";
"Venezolanischer Bolívar (1871–2008)",
"displayName-count-one";
"Venezolanischer Bolívar (1871–2008)",
"displayName-count-other";
"Venezolanische Bolívares (1871–2008)",
"symbol";
"VEB";
}
"VEF";
{
"displayName";
"Venezolanischer Bolívar",
"displayName-count-one";
"Venezolanischer Bolívar",
"displayName-count-other";
"Venezolanische Bolívares",
"symbol";
"VEF",
"symbol-alt-narrow";
"Bs";
}
"VND";
{
"displayName";
"Vietnamesischer Dong",
"displayName-count-one";
"Vietnamesischer Dong",
"displayName-count-other";
"Vietnamesische Dong",
"symbol";
"₫",
"symbol-alt-narrow";
"₫";
}
"VNN";
{
"displayName";
"Vietnamesischer Dong(1978–1985)",
"displayName-count-one";
"Vietnamesischer Dong(1978–1985)",
"displayName-count-other";
"Vietnamesische Dong(1978–1985)",
"symbol";
"VNN";
}
"VUV";
{
"displayName";
"Vanuatu-Vatu",
"displayName-count-one";
"Vanuatu-Vatu",
"displayName-count-other";
"Vanuatu-Vatu",
"symbol";
"VUV";
}
"WST";
{
"displayName";
"Samoanischer Tala",
"displayName-count-one";
"Samoanischer Tala",
"displayName-count-other";
"Samoanische Tala",
"symbol";
"WST";
}
"XAF";
{
"displayName";
"CFA-Franc (BEAC)",
"displayName-count-one";
"CFA-Franc (BEAC)",
"displayName-count-other";
"CFA-Franc (BEAC)",
"symbol";
"FCFA";
}
"XAG";
{
"displayName";
"Unze Silber",
"displayName-count-one";
"Unze Silber",
"displayName-count-other";
"Unzen Silber",
"symbol";
"XAG";
}
"XAU";
{
"displayName";
"Unze Gold",
"displayName-count-one";
"Unze Gold",
"displayName-count-other";
"Unzen Gold",
"symbol";
"XAU";
}
"XBA";
{
"displayName";
"Europäische Rechnungseinheit",
"displayName-count-one";
"Europäische Rechnungseinheiten",
"displayName-count-other";
"Europäische Rechnungseinheiten",
"symbol";
"XBA";
}
"XBB";
{
"displayName";
"Europäische Währungseinheit (XBB)",
"displayName-count-one";
"Europäische Währungseinheiten (XBB)",
"displayName-count-other";
"Europäische Währungseinheiten (XBB)",
"symbol";
"XBB";
}
"XBC";
{
"displayName";
"Europäische Rechnungseinheit (XBC)",
"displayName-count-one";
"Europäische Rechnungseinheiten (XBC)",
"displayName-count-other";
"Europäische Rechnungseinheiten (XBC)",
"symbol";
"XBC";
}
"XBD";
{
"displayName";
"Europäische Rechnungseinheit (XBD)",
"displayName-count-one";
"Europäische Rechnungseinheiten (XBD)",
"displayName-count-other";
"Europäische Rechnungseinheiten (XBD)",
"symbol";
"XBD";
}
"XCD";
{
"displayName";
"Ostkaribischer Dollar",
"displayName-count-one";
"Ostkaribischer Dollar",
"displayName-count-other";
"Ostkaribische Dollar",
"symbol";
"EC$",
"symbol-alt-narrow";
"$";
}
"XDR";
{
"displayName";
"Sonderziehungsrechte",
"displayName-count-one";
"Sonderziehungsrechte",
"displayName-count-other";
"Sonderziehungsrechte",
"symbol";
"XDR";
}
"XEU";
{
"displayName";
"Europäische Währungseinheit (XEU)",
"displayName-count-one";
"Europäische Währungseinheiten (XEU)",
"displayName-count-other";
"Europäische Währungseinheiten (XEU)",
"symbol";
"XEU";
}
"XFO";
{
"displayName";
"Französischer Gold-Franc",
"displayName-count-one";
"Französische Gold-Franc",
"displayName-count-other";
"Französische Gold-Franc",
"symbol";
"XFO";
}
"XFU";
{
"displayName";
"Französischer UIC-Franc",
"displayName-count-one";
"Französische UIC-Franc",
"displayName-count-other";
"Französische UIC-Franc",
"symbol";
"XFU";
}
"XOF";
{
"displayName";
"CFA-Franc (BCEAO)",
"displayName-count-one";
"CFA-Franc (BCEAO)",
"displayName-count-other";
"CFA-Francs (BCEAO)",
"symbol";
"CFA";
}
"XPD";
{
"displayName";
"Unze Palladium",
"displayName-count-one";
"Unze Palladium",
"displayName-count-other";
"Unzen Palladium",
"symbol";
"XPD";
}
"XPF";
{
"displayName";
"CFP-Franc",
"displayName-count-one";
"CFP-Franc",
"displayName-count-other";
"CFP-Franc",
"symbol";
"CFPF";
}
"XPT";
{
"displayName";
"Unze Platin",
"displayName-count-one";
"Unze Platin",
"displayName-count-other";
"Unzen Platin",
"symbol";
"XPT";
}
"XRE";
{
"displayName";
"RINET Funds",
"displayName-count-one";
"RINET Funds",
"displayName-count-other";
"RINET Funds",
"symbol";
"XRE";
}
"XSU";
{
"displayName";
"SUCRE",
"displayName-count-one";
"SUCRE",
"displayName-count-other";
"SUCRE",
"symbol";
"XSU";
}
"XTS";
{
"displayName";
"Testwährung",
"displayName-count-one";
"Testwährung",
"displayName-count-other";
"Testwährung",
"symbol";
"XTS";
}
"XUA";
{
"displayName";
"Rechnungseinheit der AfEB",
"displayName-count-one";
"Rechnungseinheit der AfEB",
"displayName-count-other";
"Rechnungseinheiten der AfEB",
"symbol";
"XUA";
}
"XXX";
{
"displayName";
"Unbekannte Währung",
"displayName-count-one";
"(unbekannte Währung)",
"displayName-count-other";
"(unbekannte Währung)",
"symbol";
"XXX";
}
"YDD";
{
"displayName";
"Jemen-Dinar",
"displayName-count-one";
"Jemen-Dinar",
"displayName-count-other";
"Jemen-Dinar",
"symbol";
"YDD";
}
"YER";
{
"displayName";
"Jemen-Rial",
"displayName-count-one";
"Jemen-Rial",
"displayName-count-other";
"Jemen-Rial",
"symbol";
"YER";
}
"YUD";
{
"displayName";
"Jugoslawischer Dinar (1966–1990)",
"displayName-count-one";
"Jugoslawischer Dinar (1966–1990)",
"displayName-count-other";
"Jugoslawische Dinar (1966–1990)",
"symbol";
"YUD";
}
"YUM";
{
"displayName";
"Jugoslawischer Neuer Dinar (1994–2002)",
"displayName-count-one";
"Jugoslawischer Neuer Dinar (1994–2002)",
"displayName-count-other";
"Jugoslawische Neue Dinar (1994–2002)",
"symbol";
"YUM";
}
"YUN";
{
"displayName";
"Jugoslawischer Dinar (konvertibel)",
"displayName-count-one";
"Jugoslawische Dinar (konvertibel)",
"displayName-count-other";
"Jugoslawische Dinar (konvertibel)",
"symbol";
"YUN";
}
"YUR";
{
"displayName";
"Jugoslawischer reformierter Dinar (1992–1993)",
"displayName-count-one";
"Jugoslawischer reformierter Dinar (1992–1993)",
"displayName-count-other";
"Jugoslawische reformierte Dinar (1992–1993)",
"symbol";
"YUR";
}
"ZAL";
{
"displayName";
"Südafrikanischer Rand (Finanz)",
"displayName-count-one";
"Südafrikanischer Rand (Finanz)",
"displayName-count-other";
"Südafrikanischer Rand (Finanz)",
"symbol";
"ZAL";
}
"ZAR";
{
"displayName";
"Südafrikanischer Rand",
"displayName-count-one";
"Südafrikanischer Rand",
"displayName-count-other";
"Südafrikanische Rand",
"symbol";
"ZAR",
"symbol-alt-narrow";
"R";
}
"ZMK";
{
"displayName";
"Kwacha (1968–2012)",
"displayName-count-one";
"Kwacha (1968–2012)",
"displayName-count-other";
"Kwacha (1968–2012)",
"symbol";
"ZMK";
}
"ZMW";
{
"displayName";
"Kwacha",
"displayName-count-one";
"Kwacha",
"displayName-count-other";
"Kwacha",
"symbol";
"ZMW",
"symbol-alt-narrow";
"K";
}
"ZRN";
{
"displayName";
"Zaire-Neuer Zaïre (1993–1998)",
"displayName-count-one";
"Zaire-Neuer Zaïre (1993–1998)",
"displayName-count-other";
"Zaire-Neue Zaïre (1993–1998)",
"symbol";
"ZRN";
}
"ZRZ";
{
"displayName";
"Zaire-Zaïre (1971–1993)",
"displayName-count-one";
"Zaire-Zaïre (1971–1993)",
"displayName-count-other";
"Zaire-Zaïre (1971–1993)",
"symbol";
"ZRZ";
}
"ZWD";
{
"displayName";
"Simbabwe-Dollar (1980–2008)",
"displayName-count-one";
"Simbabwe-Dollar (1980–2008)",
"displayName-count-other";
"Simbabwe-Dollar (1980–2008)",
"symbol";
"ZWD";
}
"ZWL";
{
"displayName";
"Simbabwe-Dollar (2009)",
"displayName-count-one";
"Simbabwe-Dollar (2009)",
"displayName-count-other";
"Simbabwe-Dollar (2009)",
"symbol";
"ZWL";
}
"ZWR";
{
"displayName";
"Simbabwe-Dollar (2008)",
"displayName-count-one";
"Simbabwe-Dollar (2008)",
"displayName-count-other";
"Simbabwe-Dollar (2008)",
"symbol";
"ZWR";
}
}
}
}
}
}
{
"supplemental";
{
"version";
{
"_number";
"$Revision: 13254 $",
"_unicodeVersion";
"9.0.0",
"_cldrVersion";
"31";
}
"currencyData";
{
"fractions";
{
"ADP";
{
"_rounding";
"0",
"_digits";
"0";
}
"AFN";
{
"_rounding";
"0",
"_digits";
"0";
}
"ALL";
{
"_rounding";
"0",
"_digits";
"0";
}
"AMD";
{
"_rounding";
"0",
"_digits";
"0";
}
"BHD";
{
"_rounding";
"0",
"_digits";
"3";
}
"BIF";
{
"_rounding";
"0",
"_digits";
"0";
}
"BYN";
{
"_rounding";
"0",
"_digits";
"2";
}
"BYR";
{
"_rounding";
"0",
"_digits";
"0";
}
"CAD";
{
"_rounding";
"0",
"_digits";
"2",
"_cashRounding";
"5";
}
"CHF";
{
"_rounding";
"0",
"_digits";
"2",
"_cashRounding";
"5";
}
"CLF";
{
"_rounding";
"0",
"_digits";
"4";
}
"CLP";
{
"_rounding";
"0",
"_digits";
"0";
}
"COP";
{
"_rounding";
"0",
"_digits";
"0";
}
"CRC";
{
"_rounding";
"0",
"_digits";
"2",
"_cashRounding";
"0",
"_cashDigits";
"0";
}
"CZK";
{
"_rounding";
"0",
"_digits";
"2",
"_cashRounding";
"0",
"_cashDigits";
"0";
}
"DEFAULT";
{
"_rounding";
"0",
"_digits";
"2";
}
"DJF";
{
"_rounding";
"0",
"_digits";
"0";
}
"ESP";
{
"_rounding";
"0",
"_digits";
"0";
}
"GNF";
{
"_rounding";
"0",
"_digits";
"0";
}
"GYD";
{
"_rounding";
"0",
"_digits";
"0";
}
"HUF";
{
"_rounding";
"0",
"_digits";
"2",
"_cashRounding";
"0",
"_cashDigits";
"0";
}
"IDR";
{
"_rounding";
"0",
"_digits";
"0";
}
"IQD";
{
"_rounding";
"0",
"_digits";
"0";
}
"IRR";
{
"_rounding";
"0",
"_digits";
"0";
}
"ISK";
{
"_rounding";
"0",
"_digits";
"0";
}
"ITL";
{
"_rounding";
"0",
"_digits";
"0";
}
"JOD";
{
"_rounding";
"0",
"_digits";
"3";
}
"JPY";
{
"_rounding";
"0",
"_digits";
"0";
}
"KMF";
{
"_rounding";
"0",
"_digits";
"0";
}
"KPW";
{
"_rounding";
"0",
"_digits";
"0";
}
"KRW";
{
"_rounding";
"0",
"_digits";
"0";
}
"KWD";
{
"_rounding";
"0",
"_digits";
"3";
}
"LAK";
{
"_rounding";
"0",
"_digits";
"0";
}
"LBP";
{
"_rounding";
"0",
"_digits";
"0";
}
"LUF";
{
"_rounding";
"0",
"_digits";
"0";
}
"LYD";
{
"_rounding";
"0",
"_digits";
"3";
}
"MGA";
{
"_rounding";
"0",
"_digits";
"0";
}
"MGF";
{
"_rounding";
"0",
"_digits";
"0";
}
"MMK";
{
"_rounding";
"0",
"_digits";
"0";
}
"MNT";
{
"_rounding";
"0",
"_digits";
"0";
}
"MRO";
{
"_rounding";
"0",
"_digits";
"0";
}
"MUR";
{
"_rounding";
"0",
"_digits";
"0";
}
"OMR";
{
"_rounding";
"0",
"_digits";
"3";
}
"PKR";
{
"_rounding";
"0",
"_digits";
"0";
}
"PYG";
{
"_rounding";
"0",
"_digits";
"0";
}
"RSD";
{
"_rounding";
"0",
"_digits";
"0";
}
"RWF";
{
"_rounding";
"0",
"_digits";
"0";
}
"SLL";
{
"_rounding";
"0",
"_digits";
"0";
}
"SOS";
{
"_rounding";
"0",
"_digits";
"0";
}
"STD";
{
"_rounding";
"0",
"_digits";
"0";
}
"SYP";
{
"_rounding";
"0",
"_digits";
"0";
}
"TMM";
{
"_rounding";
"0",
"_digits";
"0";
}
"TND";
{
"_rounding";
"0",
"_digits";
"3";
}
"TRL";
{
"_rounding";
"0",
"_digits";
"0";
}
"TWD";
{
"_rounding";
"0",
"_digits";
"2",
"_cashRounding";
"0",
"_cashDigits";
"0";
}
"TZS";
{
"_rounding";
"0",
"_digits";
"0";
}
"UGX";
{
"_rounding";
"0",
"_digits";
"0";
}
"UYI";
{
"_rounding";
"0",
"_digits";
"0";
}
"UZS";
{
"_rounding";
"0",
"_digits";
"0";
}
"VND";
{
"_rounding";
"0",
"_digits";
"0";
}
"VUV";
{
"_rounding";
"0",
"_digits";
"0";
}
"XAF";
{
"_rounding";
"0",
"_digits";
"0";
}
"XOF";
{
"_rounding";
"0",
"_digits";
"0";
}
"XPF";
{
"_rounding";
"0",
"_digits";
"0";
}
"YER";
{
"_rounding";
"0",
"_digits";
"0";
}
"ZMK";
{
"_rounding";
"0",
"_digits";
"0";
}
"ZWD";
{
"_rounding";
"0",
"_digits";
"0";
}
}
"region";
{
"AC";
[
{
"SHP": {
"_from": "1976-01-01"
}
}
],
"AD";
[
{
"ESP": {
"_from": "1873-01-01",
"_to": "2002-02-28"
}
},
{
"ADP": {
"_from": "1936-01-01",
"_to": "2001-12-31"
}
},
{
"FRF": {
"_from": "1960-01-01",
"_to": "2002-02-17"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"AE";
[
{
"AED": {
"_from": "1973-05-19"
}
}
],
"AF";
[
{
"AFA": {
"_from": "1927-03-14",
"_to": "2002-12-31"
}
},
{
"AFN": {
"_from": "2002-10-07"
}
}
],
"AG";
[
{
"XCD": {
"_from": "1965-10-06"
}
}
],
"AI";
[
{
"XCD": {
"_from": "1965-10-06"
}
}
],
"AL";
[
{
"ALK": {
"_from": "1946-11-01",
"_to": "1965-08-16"
}
},
{
"ALL": {
"_from": "1965-08-16"
}
}
],
"AM";
[
{
"SUR": {
"_from": "1961-01-01",
"_to": "1991-12-25"
}
},
{
"RUR": {
"_from": "1991-12-25",
"_to": "1993-11-22"
}
},
{
"AMD": {
"_from": "1993-11-22"
}
}
],
"AO";
[
{
"AOK": {
"_from": "1977-01-08",
"_to": "1991-03-01"
}
},
{
"AON": {
"_from": "1990-09-25",
"_to": "2000-02-01"
}
},
{
"AOR": {
"_from": "1995-07-01",
"_to": "2000-02-01"
}
},
{
"AOA": {
"_from": "1999-12-13"
}
}
],
"AQ";
[
{
"XXX": {
"_tender": "false"
}
}
],
"AR";
[
{
"ARM": {
"_from": "1881-11-05",
"_to": "1970-01-01"
}
},
{
"ARL": {
"_from": "1970-01-01",
"_to": "1983-06-01"
}
},
{
"ARP": {
"_from": "1983-06-01",
"_to": "1985-06-14"
}
},
{
"ARA": {
"_from": "1985-06-14",
"_to": "1992-01-01"
}
},
{
"ARS": {
"_from": "1992-01-01"
}
}
],
"AS";
[
{
"USD": {
"_from": "1904-07-16"
}
}
],
"AT";
[
{
"ATS": {
"_from": "1947-12-04",
"_to": "2002-02-28"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"AU";
[
{
"AUD": {
"_from": "1966-02-14"
}
}
],
"AW";
[
{
"ANG": {
"_from": "1940-05-10",
"_to": "1986-01-01"
}
},
{
"AWG": {
"_from": "1986-01-01"
}
}
],
"AX";
[
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"AZ";
[
{
"SUR": {
"_from": "1961-01-01",
"_to": "1991-12-25"
}
},
{
"RUR": {
"_from": "1991-12-25",
"_to": "1994-01-01"
}
},
{
"AZM": {
"_from": "1993-11-22",
"_to": "2006-12-31"
}
},
{
"AZN": {
"_from": "2006-01-01"
}
}
],
"BA";
[
{
"YUD": {
"_from": "1966-01-01",
"_to": "1990-01-01"
}
},
{
"YUN": {
"_from": "1990-01-01",
"_to": "1992-07-01"
}
},
{
"YUR": {
"_from": "1992-07-01",
"_to": "1993-10-01"
}
},
{
"BAD": {
"_from": "1992-07-01",
"_to": "1994-08-15"
}
},
{
"BAN": {
"_from": "1994-08-15",
"_to": "1997-07-01"
}
},
{
"BAM": {
"_from": "1995-01-01"
}
}
],
"BB";
[
{
"XCD": {
"_from": "1965-10-06",
"_to": "1973-12-03"
}
},
{
"BBD": {
"_from": "1973-12-03"
}
}
],
"BD";
[
{
"INR": {
"_from": "1835-08-17",
"_to": "1948-04-01"
}
},
{
"PKR": {
"_from": "1948-04-01",
"_to": "1972-01-01"
}
},
{
"BDT": {
"_from": "1972-01-01"
}
}
],
"BE";
[
{
"NLG": {
"_from": "1816-12-15",
"_to": "1831-02-07"
}
},
{
"BEF": {
"_from": "1831-02-07",
"_to": "2002-02-28"
}
},
{
"BEC": {
"_tender": "false",
"_from": "1970-01-01",
"_to": "1990-03-05"
}
},
{
"BEL": {
"_tender": "false",
"_from": "1970-01-01",
"_to": "1990-03-05"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"BF";
[
{
"XOF": {
"_from": "1984-08-04"
}
}
],
"BG";
[
{
"BGO": {
"_from": "1879-07-08",
"_to": "1952-05-12"
}
},
{
"BGM": {
"_from": "1952-05-12",
"_to": "1962-01-01"
}
},
{
"BGL": {
"_from": "1962-01-01",
"_to": "1999-07-05"
}
},
{
"BGN": {
"_from": "1999-07-05"
}
}
],
"BH";
[
{
"BHD": {
"_from": "1965-10-16"
}
}
],
"BI";
[
{
"BIF": {
"_from": "1964-05-19"
}
}
],
"BJ";
[
{
"XOF": {
"_from": "1975-11-30"
}
}
],
"BL";
[
{
"FRF": {
"_from": "1960-01-01",
"_to": "2002-02-17"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"BM";
[
{
"BMD": {
"_from": "1970-02-06"
}
}
],
"BN";
[
{
"MYR": {
"_from": "1963-09-16",
"_to": "1967-06-12"
}
},
{
"BND": {
"_from": "1967-06-12"
}
}
],
"BO";
[
{
"BOV": {
"_tender": "false"
}
},
{
"BOL": {
"_from": "1863-06-23",
"_to": "1963-01-01"
}
},
{
"BOP": {
"_from": "1963-01-01",
"_to": "1986-12-31"
}
},
{
"BOB": {
"_from": "1987-01-01"
}
}
],
"BQ";
[
{
"ANG": {
"_from": "2010-10-10",
"_to": "2011-01-01"
}
},
{
"USD": {
"_from": "2011-01-01"
}
}
],
"BR";
[
{
"BRZ": {
"_from": "1942-11-01",
"_to": "1967-02-13"
}
},
{
"BRB": {
"_from": "1967-02-13",
"_to": "1986-02-28"
}
},
{
"BRC": {
"_from": "1986-02-28",
"_to": "1989-01-15"
}
},
{
"BRN": {
"_from": "1989-01-15",
"_to": "1990-03-16"
}
},
{
"BRE": {
"_from": "1990-03-16",
"_to": "1993-08-01"
}
},
{
"BRR": {
"_from": "1993-08-01",
"_to": "1994-07-01"
}
},
{
"BRL": {
"_from": "1994-07-01"
}
}
],
"BS";
[
{
"BSD": {
"_from": "1966-05-25"
}
}
],
"BT";
[
{
"INR": {
"_from": "1907-01-01"
}
},
{
"BTN": {
"_from": "1974-04-16"
}
}
],
"BU";
[
{
"BUK": {
"_from": "1952-07-01",
"_to": "1989-06-18"
}
}
],
"BV";
[
{
"NOK": {
"_from": "1905-06-07"
}
}
],
"BW";
[
{
"ZAR": {
"_from": "1961-02-14",
"_to": "1976-08-23"
}
},
{
"BWP": {
"_from": "1976-08-23"
}
}
],
"BY";
[
{
"SUR": {
"_from": "1961-01-01",
"_to": "1991-12-25"
}
},
{
"RUR": {
"_from": "1991-12-25",
"_to": "1994-11-08"
}
},
{
"BYB": {
"_from": "1994-08-01",
"_to": "2000-12-31"
}
},
{
"BYR": {
"_from": "2000-01-01",
"_to": "2017-01-01"
}
},
{
"BYN": {
"_from": "2016-07-01"
}
}
],
"BZ";
[
{
"BZD": {
"_from": "1974-01-01"
}
}
],
"CA";
[
{
"CAD": {
"_from": "1858-01-01"
}
}
],
"CC";
[
{
"AUD": {
"_from": "1966-02-14"
}
}
],
"CD";
[
{
"ZRZ": {
"_from": "1971-10-27",
"_to": "1993-11-01"
}
},
{
"ZRN": {
"_from": "1993-11-01",
"_to": "1998-07-01"
}
},
{
"CDF": {
"_from": "1998-07-01"
}
}
],
"CF";
[
{
"XAF": {
"_from": "1993-01-01"
}
}
],
"CG";
[
{
"XAF": {
"_from": "1993-01-01"
}
}
],
"CH";
[
{
"CHE": {
"_tender": "false"
}
},
{
"CHW": {
"_tender": "false"
}
},
{
"CHF": {
"_from": "1799-03-17"
}
}
],
"CI";
[
{
"XOF": {
"_from": "1958-12-04"
}
}
],
"CK";
[
{
"NZD": {
"_from": "1967-07-10"
}
}
],
"CL";
[
{
"CLF": {
"_tender": "false"
}
},
{
"CLE": {
"_from": "1960-01-01",
"_to": "1975-09-29"
}
},
{
"CLP": {
"_from": "1975-09-29"
}
}
],
"CM";
[
{
"XAF": {
"_from": "1973-04-01"
}
}
],
"CN";
[
{
"CNY": {
"_from": "1953-03-01"
}
},
{
"CNX": {
"_tender": "false",
"_from": "1979-01-01",
"_to": "1998-12-31"
}
}
],
"CO";
[
{
"COU": {
"_tender": "false"
}
},
{
"COP": {
"_from": "1905-01-01"
}
}
],
"CP";
[
{
"XXX": {
"_tender": "false"
}
}
],
"CR";
[
{
"CRC": {
"_from": "1896-10-26"
}
}
],
"CS";
[
{
"YUM": {
"_from": "1994-01-24",
"_to": "2002-05-15"
}
},
{
"CSD": {
"_from": "2002-05-15",
"_to": "2006-06-03"
}
},
{
"EUR": {
"_from": "2003-02-04",
"_to": "2006-06-03"
}
}
],
"CU";
[
{
"CUP": {
"_from": "1859-01-01"
}
},
{
"USD": {
"_from": "1899-01-01",
"_to": "1959-01-01"
}
},
{
"CUC": {
"_from": "1994-01-01"
}
}
],
"CV";
[
{
"PTE": {
"_from": "1911-05-22",
"_to": "1975-07-05"
}
},
{
"CVE": {
"_from": "1914-01-01"
}
}
],
"CW";
[
{
"ANG": {
"_from": "2010-10-10"
}
}
],
"CX";
[
{
"AUD": {
"_from": "1966-02-14"
}
}
],
"CY";
[
{
"CYP": {
"_from": "1914-09-10",
"_to": "2008-01-31"
}
},
{
"EUR": {
"_from": "2008-01-01"
}
}
],
"CZ";
[
{
"CSK": {
"_from": "1953-06-01",
"_to": "1993-03-01"
}
},
{
"CZK": {
"_from": "1993-01-01"
}
}
],
"DD";
[
{
"DDM": {
"_from": "1948-07-20",
"_to": "1990-10-02"
}
}
],
"DE";
[
{
"DEM": {
"_from": "1948-06-20",
"_to": "2002-02-28"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"DG";
[
{
"USD": {
"_from": "1965-11-08"
}
}
],
"DJ";
[
{
"DJF": {
"_from": "1977-06-27"
}
}
],
"DK";
[
{
"DKK": {
"_from": "1873-05-27"
}
}
],
"DM";
[
{
"XCD": {
"_from": "1965-10-06"
}
}
],
"DO";
[
{
"USD": {
"_from": "1905-06-21",
"_to": "1947-10-01"
}
},
{
"DOP": {
"_from": "1947-10-01"
}
}
],
"DZ";
[
{
"DZD": {
"_from": "1964-04-01"
}
}
],
"EA";
[
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"EC";
[
{
"ECS": {
"_from": "1884-04-01",
"_to": "2000-10-02"
}
},
{
"ECV": {
"_tender": "false",
"_from": "1993-05-23",
"_to": "2000-01-09"
}
},
{
"USD": {
"_from": "2000-10-02"
}
}
],
"EE";
[
{
"SUR": {
"_from": "1961-01-01",
"_to": "1992-06-20"
}
},
{
"EEK": {
"_from": "1992-06-21",
"_to": "2010-12-31"
}
},
{
"EUR": {
"_from": "2011-01-01"
}
}
],
"EG";
[
{
"EGP": {
"_from": "1885-11-14"
}
}
],
"EH";
[
{
"MAD": {
"_from": "1976-02-26"
}
}
],
"ER";
[
{
"ETB": {
"_from": "1993-05-24",
"_to": "1997-11-08"
}
},
{
"ERN": {
"_from": "1997-11-08"
}
}
],
"ES";
[
{
"ESP": {
"_from": "1868-10-19",
"_to": "2002-02-28"
}
},
{
"ESB": {
"_tender": "false",
"_from": "1975-01-01",
"_to": "1994-12-31"
}
},
{
"ESA": {
"_tender": "false",
"_from": "1978-01-01",
"_to": "1981-12-31"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"ET";
[
{
"ETB": {
"_from": "1976-09-15"
}
}
],
"EU";
[
{
"XEU": {
"_tender": "false",
"_from": "1979-01-01",
"_to": "1998-12-31"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"FI";
[
{
"FIM": {
"_from": "1963-01-01",
"_to": "2002-02-28"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"FJ";
[
{
"FJD": {
"_from": "1969-01-13"
}
}
],
"FK";
[
{
"FKP": {
"_from": "1901-01-01"
}
}
],
"FM";
[
{
"JPY": {
"_from": "1914-10-03",
"_to": "1944-01-01"
}
},
{
"USD": {
"_from": "1944-01-01"
}
}
],
"FO";
[
{
"DKK": {
"_from": "1948-01-01"
}
}
],
"FR";
[
{
"FRF": {
"_from": "1960-01-01",
"_to": "2002-02-17"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"GA";
[
{
"XAF": {
"_from": "1993-01-01"
}
}
],
"GB";
[
{
"GBP": {
"_from": "1694-07-27"
}
}
],
"GD";
[
{
"XCD": {
"_from": "1967-02-27"
}
}
],
"GE";
[
{
"SUR": {
"_from": "1961-01-01",
"_to": "1991-12-25"
}
},
{
"RUR": {
"_from": "1991-12-25",
"_to": "1993-06-11"
}
},
{
"GEK": {
"_from": "1993-04-05",
"_to": "1995-09-25"
}
},
{
"GEL": {
"_from": "1995-09-23"
}
}
],
"GF";
[
{
"FRF": {
"_from": "1960-01-01",
"_to": "2002-02-17"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"GG";
[
{
"GBP": {
"_from": "1830-01-01"
}
}
],
"GH";
[
{
"GHC": {
"_from": "1979-03-09",
"_to": "2007-12-31"
}
},
{
"GHS": {
"_from": "2007-07-03"
}
}
],
"GI";
[
{
"GIP": {
"_from": "1713-01-01"
}
}
],
"GL";
[
{
"DKK": {
"_from": "1873-05-27"
}
}
],
"GM";
[
{
"GMD": {
"_from": "1971-07-01"
}
}
],
"GN";
[
{
"GNS": {
"_from": "1972-10-02",
"_to": "1986-01-06"
}
},
{
"GNF": {
"_from": "1986-01-06"
}
}
],
"GP";
[
{
"FRF": {
"_from": "1960-01-01",
"_to": "2002-02-17"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"GQ";
[
{
"GQE": {
"_from": "1975-07-07",
"_to": "1986-06-01"
}
},
{
"XAF": {
"_from": "1993-01-01"
}
}
],
"GR";
[
{
"GRD": {
"_from": "1954-05-01",
"_to": "2002-02-28"
}
},
{
"EUR": {
"_from": "2001-01-01"
}
}
],
"GS";
[
{
"GBP": {
"_from": "1908-01-01"
}
}
],
"GT";
[
{
"GTQ": {
"_from": "1925-05-27"
}
}
],
"GU";
[
{
"USD": {
"_from": "1944-08-21"
}
}
],
"GW";
[
{
"GWE": {
"_from": "1914-01-01",
"_to": "1976-02-28"
}
},
{
"GWP": {
"_from": "1976-02-28",
"_to": "1997-03-31"
}
},
{
"XOF": {
"_from": "1997-03-31"
}
}
],
"GY";
[
{
"GYD": {
"_from": "1966-05-26"
}
}
],
"HK";
[
{
"HKD": {
"_from": "1895-02-02"
}
}
],
"HM";
[
{
"AUD": {
"_from": "1967-02-16"
}
}
],
"HN";
[
{
"HNL": {
"_from": "1926-04-03"
}
}
],
"HR";
[
{
"YUD": {
"_from": "1966-01-01",
"_to": "1990-01-01"
}
},
{
"YUN": {
"_from": "1990-01-01",
"_to": "1991-12-23"
}
},
{
"HRD": {
"_from": "1991-12-23",
"_to": "1995-01-01"
}
},
{
"HRK": {
"_from": "1994-05-30"
}
}
],
"HT";
[
{
"HTG": {
"_from": "1872-08-26"
}
},
{
"USD": {
"_from": "1915-01-01"
}
}
],
"HU";
[
{
"HUF": {
"_from": "1946-07-23"
}
}
],
"IC";
[
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"ID";
[
{
"IDR": {
"_from": "1965-12-13"
}
}
],
"IE";
[
{
"GBP": {
"_from": "1800-01-01",
"_to": "1922-01-01"
}
},
{
"IEP": {
"_from": "1922-01-01",
"_to": "2002-02-09"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"IL";
[
{
"ILP": {
"_from": "1948-08-16",
"_to": "1980-02-22"
}
},
{
"ILR": {
"_from": "1980-02-22",
"_to": "1985-09-04"
}
},
{
"ILS": {
"_from": "1985-09-04"
}
}
],
"IM";
[
{
"GBP": {
"_from": "1840-01-03"
}
}
],
"IN";
[
{
"INR": {
"_from": "1835-08-17"
}
}
],
"IO";
[
{
"USD": {
"_from": "1965-11-08"
}
}
],
"IQ";
[
{
"EGP": {
"_from": "1920-11-11",
"_to": "1931-04-19"
}
},
{
"INR": {
"_from": "1920-11-11",
"_to": "1931-04-19"
}
},
{
"IQD": {
"_from": "1931-04-19"
}
}
],
"IR";
[
{
"IRR": {
"_from": "1932-05-13"
}
}
],
"IS";
[
{
"DKK": {
"_from": "1873-05-27",
"_to": "1918-12-01"
}
},
{
"ISJ": {
"_from": "1918-12-01",
"_to": "1981-01-01"
}
},
{
"ISK": {
"_from": "1981-01-01"
}
}
],
"IT";
[
{
"ITL": {
"_from": "1862-08-24",
"_to": "2002-02-28"
}
},
{
"EUR": {
"_from": "1999-01-01"
}
}
],
"JE";
[
{
"GBP": {
"_from": "1837-01-01"
}
}
],
"JM";
[
{
"JMD": {
"_from": "1969-09-08"
}
}
],
"JO";
[
{
"JOD": {
"_from": "1950-07-01"
}
}
],
"JP";
[
{
"JPY": {
"_from": "1871-06-01"
}
}
],
"KE";
[
{
"KES": {
"_from": "1966-09-14"
}
}
],
"KG";
[
{
"SUR": {
"_from": "1961-01-01",
"_to": "1991-12-25"
}
},
{
"RUR": {
"_from": "1991-12-25",
"_to": "1993-05-10"
}
},
{
"KGS": {
"_from": "1993-05-10"
}
}
],
"KH";
[
{
"KHR": {
"_from": "1980-03-20"
}
}
],
"KI";
[
{
"AUD": {
"_from": "1966-02-14"
}
}
],
"KM";
[
{
"KMF": {
"_from": "1975-07-06"
}
}
],
"KN";
[
{
"XCD": {
"_from": "1965-10-06"
}
}
],
"KP";
[
{
"KPW": {
"_from": "1959-04-17"
}
}
],
"KR";
[
{
"KRO": {
"_from": "1945-08-15",
"_to": "1953-02-15"
}
},
{
"KRH": {
"_from": "1953-02-15",
"_to": "1962-06-10"
}
},
{
"KRW": {
"_from": "1962-06-10"
}
}
],

Globalization in Angular Numerictextbox component

14 Jan 20268 minutes to read

Localization

Localization library allows users to localize the default text contents of the NumericTextBox to different cultures using the locale property.
In NumericTextBox, spin buttons title for the tooltip will be localized based on the culture.

Locale key en-US (default)
incrementTitle Increment value
decrementTitle Decrement value

Loading translations

To load translation object in your application use load function of L10n class.

The below example demonstrates the NumericTextBox in German culture with the spin buttons tooltip.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { NumericTextBoxModule } from '@syncfusion/ej2-angular-inputs'
import { FormsModule } from '@angular/forms'



import { Component, OnInit } from '@angular/core';
import { L10n } from '@syncfusion/ej2-base';

@Component({
imports: [
        
        NumericTextBoxModule,
        FormsModule
    ],


standalone: true,
    selector: 'app-root',
    // specifies the template string for the DropDownList component with change event
    // sets `German` culture using the culture value 'de'
    template: `<ejs-numerictextbox locale='de' value='10'></ejs-numerictextbox>`
})
export class AppComponent implements OnInit {
    constructor() {
    }
    ngOnInit(): void {
        // Load `German` culture to override spin buttons tooltip text
        L10n.load({
            'de': {
            'numerictextbox': {
                    incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'
                }
           }
        });
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Internationalization

Internationalization library provides support for formatting and parsing the number by using the official Unicode CLDR JSON data and also provides the loadCldr method to load the culture specific CLDR JSON data. The NumericTextBox comes with built-in internationalization support to adapt based on culture. For more information about internationalization, refer to this link.

By default, all the Essential® JS 2 component are specific to English culture (‘en-US’).
If you want to go with the different culture other than English, follow the below steps.

  • Install the CLDR-Data package by using the below command (it installs the CLDR JSON data). For more information about CLDR-Data, refer to this link.

    npm install cldr-data --save
    

Once the package installed, you can find the culture specific JSON data under the location /node_modules/cldr-data.

  • Now import the installed CLDR JSON data into the app.ts file.

  • Now import the required culture from the installed location to app.ts file as like the below code snippets.

    declare var require: any;
    
    loadCldr(
          require('cldr-data/main/de/numbers.json'),
          require('cldr-data/main/de/currencies.json'),
          require('cldr-data/supplemental/numberingSystems.json'),
          require('cldr-data/supplemental/currencyData.json')
      );
  • Set the culture by using the locale property.

The below example demonstrates the NumericTextBox in German culture with the EUR currency format.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { NumericTextBoxModule } from '@syncfusion/ej2-angular-inputs'



import { Component, OnInit } from '@angular/core';
import { loadCldr,L10n } from '@syncfusion/ej2-base';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as currencyData from './currencyData.json';
import * as numbers from './numbers.json';
import * as currencies from './currencies.json';

loadCldr(numberingSystems, currencyData, numbers, currencies);

@Component({
imports: [
        NumericTextBoxModule
    ],


standalone: true,
    selector: 'app-root',
    // specifies the template string for the DropDownList component with change event
    // sets `German` culture using the culture value 'de'
    // sets the 'EUR' currency format
    template: `<ejs-numerictextbox locale='de' currency='EUR' format='c2' value='100'></ejs-numerictextbox>`
})
export class AppComponent implements OnInit {
    constructor() {
    }
    ngOnInit(): void {
        // Load `German` culture to override spin buttons tooltip text
        L10n.load({
            'de': {
            'numerictextbox': {
                    incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'
                }
           }
        });
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Right to Left(RTL)

RTL provides an option to switch the text direction and layout of the NumericTextBox component from right to left. It improves the user experiences and accessibility for users who use right-to-left languages (Arabic, Farsi, Urdu, etc.). To enable RTL NumericTextBox, set the enableRtl to true.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { NumericTextBoxModule } from '@syncfusion/ej2-angular-inputs'



import { Component, OnInit } from '@angular/core';
import { loadCldr,L10n } from '@syncfusion/ej2-base';

@Component({
imports: [
         NumericTextBoxModule
    ],


standalone: true,
    selector: 'app-root',
    // specifies the template string for the DropDownList component with change event
    // sets `German` culture using the culture value 'de'
    // sets the 'EUR' currency format
    template: `<ejs-numerictextbox locale='ar-AE' placeholder='أدخل القيمة' floatLabelType='Auto' enableRtl='true' value='100'></ejs-numerictextbox>`
})
export class AppComponent implements onInit {
    constructor() {
    }
    ngOnInit(): void {
        // Load `German` culture to override spin buttons tooltip text
        L10n.load({
            'ar-AE': {
            'numerictextbox': {
                    incrementTitle: 'قيمة الزيادة', decrementTitle: 'قيمة تناقص'
                }
           }
        });
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

HelpBot Assistant

How can I help you?

Globalization in Vue Numerictextbox component

25 Apr 202511 minutes to read

Localization

Localization library allows users to localize the default text contents of the NumericTextBox to different cultures using the locale property. In NumericTextBox, spin buttons title for the tooltip will be localized based on the culture.

Locale key en-US (default)
incrementTitle Increment value
decrementTitle Decrement value

Loading translations

To load translation object in your application use load function of L10n class.

The below example demonstrates the NumericTextBox in German culture with the spin buttons tooltip.

<template>
  <div id="app">
        <div class='wrap'>
           <ejs-numerictextbox id="numeric" locale='de' :value="value"></ejs-numerictextbox>
        </div>
  </div>
</template>
<script setup>

import { L10n } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent as EjsNumerictextbox } from "@syncfusion/ej2-vue-inputs";

// Load `German` culture to override spin buttons tooltip text
L10n.load({
    'de': {
        'numerictextbox': {
            incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'
        }
    },

});
const value = 10;
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0px auto;
    width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-numerictextbox id="numeric" locale='de' :value="value"></ejs-numerictextbox>
    </div>
  </div>
</template>
<script>

import { L10n } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent } from "@syncfusion/ej2-vue-inputs";

// Load `German` culture to override spin buttons tooltip text
L10n.load({
  'de': {
    'numerictextbox': {
      incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'
    }
  },

});
export default {
  name: "App",
  components: {
    "ejs-numerictextbox": NumericTextBoxComponent
  },
  data() {
    return {
      value: 10,
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0px auto;
  width: 240px;
}
</style>

Internationalization

Internationalization library provides support for formatting and parsing the number by using the official Unicode CLDR JSON data and also provides the loadCldr method to load the culture specific CLDR JSON data. The NumericTextBox comes with built-in
internationalization support to adapt based on culture. For more information about internationalization, refer to this link.

By default, all the Essential® JS 2 component are specific to English culture (‘en-US’). If you want to go with the different culture other than English, follow the below steps.

  • Install the CLDR-Data package by using the below command (it installs the CLDR JSON data). For more information about CLDR-Data, refer to this link.

      npm install cldr-data --save
    

Once the package installed, you can find the culture specific JSON data under the location /node_modules/cldr-data.

  • Now import the installed CLDR JSON data into the app.vue file.

To import JSON data we need to install the JSON plugin loader. Here we have used the SystemJS JSON plugin loader.

npm install systemjs-plugin-json --save-dev
  • Once installed, configure the system.config.js configuration settings as like below to map the systemjs-plugin-json loader.

  • Now import the required culture from the installed location to app.vue file as like the below code snippets.

  • Set the culture by using the locale property.

The below example demonstrates the NumericTextBox in German culture with the EUR currency format.

<template>
  <div id="app">
        <div class='wrap'>
           <ejs-numerictextbox id="numeric" locale='de' currency='EUR' format='c2' :value='value'></ejs-numerictextbox>
        </div>
  </div>
</template>
<script setup>

import { loadCldr,L10n } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent as EjsNumerictextbox} from "@syncfusion/ej2-vue-inputs";

import * as numberingSystems from './numberingSystems.json';
import * as currencyData from './currencyData.json';
import * as numbers from './numbers.json';
import * as currencies from './currencies.json';

loadCldr(numberingSystems, currencyData, numbers, currencies);

L10n.load({
    'de': {
      'numerictextbox': { incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert'}
    }
});

const value =  100;

</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0px auto;
    width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-numerictextbox id="numeric" locale='de' currency='EUR' format='c2' :value='value'></ejs-numerictextbox>
    </div>
  </div>
</template>
<script>

import { loadCldr, L10n, Ajax } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent } from "@syncfusion/ej2-vue-inputs";

import * as numberingSystems from './numberingSystems.json';
import * as currencyData from './currencyData.json';
import * as numbers from './numbers.json';
import * as currencies from './currencies.json';

loadCldr(numberingSystems, currencyData, numbers, currencies);

L10n.load({
  'de': {
    'numerictextbox': { incrementTitle: 'Wert erhöhen', decrementTitle: 'Dekrementwert' }
  }
});
export default {
  name: "App",
  components: {
    "ejs-numerictextbox": NumericTextBoxComponent
  },
  data() {
    return {
      value: 100
    }
  }
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0px auto;
  width: 240px;
}
</style>

Right to Left(RTL)

Localization library allows users to localize the default text contents of the NumericTextBox to different cultures using the locale property. In NumericTextBox, spin buttons title for the tooltip will be localized based on the culture.
RTL provides an option to switch the text direction and layout of the NumericTextBox component from right to left. It improves the user experiences and accessibility for users who use right-to-left languages (Arabic, Farsi, Urdu, etc.). To enable RTL NumericTextBox, set the enableRtl to true.

<template>
  <div id="app">
        <div class='wrap'>
           <ejs-numerictextbox id="numeric" locale='ar-AE' floatLabelType='Auto' placeholder='أدخل القيمة' :enableRtl='true' :value='value'></ejs-numerictextbox>
        </div>
  </div>
</template>
<script setup>

import { L10n } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent as EjsNumerictextbox} from "@syncfusion/ej2-vue-inputs";

L10n.load({
    'ar-AE': {
      'numerictextbox': { incrementTitle: 'قيمة الزيادة', decrementTitle: 'قيمة تناقص'}
    }
});
const value = 100;
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0px auto;
    width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-numerictextbox id="numeric" locale='ar-AE' floatLabelType='Auto' placeholder='أدخل القيمة' :enableRtl='true'
        :value='value'></ejs-numerictextbox>
    </div>
  </div>
</template>
<script>

import { L10n } from '@syncfusion/ej2-base';
import { NumericTextBoxComponent } from "@syncfusion/ej2-vue-inputs";

L10n.load({
  'ar-AE': {
    'numerictextbox': { incrementTitle: 'قيمة الزيادة', decrementTitle: 'قيمة تناقص' }
  }
});
export default {
  name: "App",
  components: {
    "ejs-numerictextbox": NumericTextBoxComponent
  },
  data() {
    return {
      value: 100
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0px auto;
  width: 240px;
}
</style>